<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link  https://makewebbetter.com/
 * @since 1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$mwb_wpr_addon_nonce = ! empty( $_POST['mwb_wpr_addon_nonce'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_addon_nonce'] ) ) : '';
if ( wp_verify_nonce( $mwb_wpr_addon_nonce, 'mwb-wpr-addon-nonce' ) ) {
	if ( isset( $_POST['addon_submit'] ) ) {

		$mwb_notify_user_enable   = isset( $_POST['notify_user_enable_plug'] ) ? sanitize_text_field( wp_unslash( $_POST['notify_user_enable_plug'] ) ) : '';
		$mwb_notif_enable_left    = isset( $_POST['notify_user_enable_left_btn'] ) ? sanitize_text_field( wp_unslash( $_POST['notify_user_enable_left_btn'] ) ) : '';
		$mwb_notify_user_wp_color = isset( $_POST['notify_user_wp_color'] ) ? sanitize_text_field( wp_unslash( $_POST['notify_user_wp_color'] ) ) : '';

		update_option( 'notify_user_enable_plug', $mwb_notify_user_enable );
		update_option( 'notify_user_enable_left_btn', $mwb_notif_enable_left );
		update_option( 'notify_user_wp_color', $mwb_notify_user_wp_color );
	}
}
?>
<table class='form-table mwb_wpr_general_setting mwp_wpr_settings'>
	<tbody>
		<tr>
		<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_signup"><?php esc_html_e( 'Enable Notify Extension', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
			<td class="forminp forminp-text">					
				<?php
					$attribute_description = __( 'Check this box to enable the notify extension.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
				?>
					<input type="checkbox" name="notify_user_enable_plug" value="yes" <?php checked( 'yes', get_option( 'notify_user_enable_plug', 'yes' ) ); ?> >
					<?php esc_html_e( 'Enable the plugin.', 'woocommerce-ultimate-points-and-rewards' ); ?>	
				<p class="description"><?php esc_html_e( 'Enable the checkbox if you want this extension to work. ', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
			</td>
		</tr>
		<tr>
		<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_signup"><?php esc_html_e( 'Notify Position', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">					
				<?php
					$attribute_description = __( 'Check this box to placed the notify button on front end.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
				?>
					<input type="checkbox" name="notify_user_enable_left_btn" value="yes" <?php checked( 'yes', get_option( 'notify_user_enable_left_btn', 'no' ) ); ?> >
					<?php esc_html_e( 'Shift the button to the left.', 'woocommerce-ultimate-points-and-rewards' ); ?>	
				<p class="description"><?php esc_html_e( 'Enable the checkbox if you want to shift Notify button to the left ', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
			</td>
		</tr>

		<tr>
		<th scope="row" class="titledesc">
					<label for="mwb_wpr_general_signup"><?php esc_html_e( 'Notify Color', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">					
				<?php
					$attribute_description = __( 'Choose the color of notify button.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
				?>
					<input type="text" name="notify_user_wp_color" id="notify_user_wp_color" value="<?php echo esc_html( get_option( 'notify_user_wp_color', '#E85E54' ) ); ?>" >
					<p class="description"><?php esc_html_e( 'Choose the color for Notify User Button as well as for the whole popup.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>		
			</td>
		</tr>
	</tbody>
</table>
<input type="hidden" name="mwb_wpr_addon_nonce" value="<?php echo esc_html( wp_create_nonce( 'mwb-wpr-addon-nonce' ) ); ?>">
<p class="submit"><input type="submit" name="addon_submit" id="addon_submit" class="button button-primary" value="Save Options"></p>
