<?php
/**
 * The admin-facing functionality of the plugin.
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

?>
<div class="mwb_wpr_import_userspoints">
	<h3 class="mwb_wpr_heading"><?php esc_html_e( 'Import Users Points', 'woocommerce-ultimate-points-and-rewards' ); ?></h3>
	<table class="form-table mwb_wpr_general_setting">
		<tbody>
			<tr valign="top">
				<td colspan="3" class="mwb_wpr_instructions_tabledata">
					<h3><?php esc_html_e( 'Instructions', 'woocommerce-ultimate-points-and-rewards' ); ?></h3>
					<p>1 - <?php esc_html_e( 'For Importing users points. You need to choose a CSV file and click Import.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					<p>2 - <?php esc_html_e( 'CSV for userpoints must have 3 columns in this order ( Users Email, Points, Reason. Also first row must have the respective headings )', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					<p>3 - <?php esc_html_e( 'Click on Preview Button to see CSV data before importing csv file.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
				</td>
			</tr>
			<tr>
				<th><?php esc_html_e( 'Choose a CSV file:', 'woocommerce-ultimate-points-and-rewards' ); ?>
				</th>
				<td>
					<input class="mwb_wpr_csv_custom_userpoints_import" name="userpoints_csv_import" id="userpoints_csv_import" type="file" size="25" value="" aria-required="true" />

					<input type="hidden" value="134217728" name="max_file_size"><br>
					<small><?php esc_html_e( 'Maximum size:128 MB', 'woocommerce-ultimate-points-and-rewards' ); ?></small>
				</td>
				<td>
					<a href="<?php echo esc_url( MWB_WPR_URL . 'uploads/mwb_wpr_userpoints_sample.csv' ); ?>"><?php esc_html_e( 'Export Demo CSV', 'woocommerce-ultimate-points-and-rewards' ); ?>
						<span class="mwb_sample_export"><img src="<?php echo esc_url( MWB_WPR_URL . 'assets/images/download.png' ); ?>"></span>
					</a>
				</td>
			</tr>
			<tr>
				<td>
					<p><input name="mwb_wpr_csv_custom_userpoints_import" id="mwb_wpr_csv_custom_userpoints_import" class="button-primary woocommerce-save-button" type="submit" value="<?php esc_html_e( 'Import', 'woocommerce-ultimate-points-and-rewards' ); ?>" /></p>
				</td>
				<td>
					<p><input type="button" id="mwb_wpr_preview_csv_file_data" class="button-primary" value="<?php esc_html_e( 'Preview', 'woocommerce-ultimate-points-and-rewards' ); ?>">
						<img class="mwb_wpr_preview_csv_loader" src="<?php echo esc_url( MWB_WPR_URL . 'assets/images/loading.gif' ); ?>" />
					</p>
				</td>
				<td></td>
			</tr>
		</tbody>
	</table>
	<?php wp_nonce_field( 'mwb_upload_csv', 'mwb_wpr_nonce' ); ?>
</div>
<?php
if ( isset( $_POST['mwb_wpr_csv_custom_userpoints_import'] ) && ! empty( $_POST['mwb_wpr_csv_custom_userpoints_import'] ) && ! empty( $_POST['mwb_wpr_nonce'] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_nonce'] ) ), 'mwb_upload_csv' ) ) {
	$user_points_imported = false;
	$message              = __( 'Fail due to some error', 'woocommerce-ultimate-points-and-rewards' );

	if ( ! empty( $_FILES['userpoints_csv_import']['tmp_name'] ) ) {
		$csv_mimetypes = array(
			'text/csv',
			'application/csv',
			'text/comma-separated-values',
			'application/excel',
			'application/vnd.ms-excel',
			'application/vnd.msexcel',
			'application/octet-stream',
		);

		WP_Filesystem();
		global $wp_filesystem;
		$file_type = ! empty( $_FILES['userpoints_csv_import']['type'] ) ? sanitize_text_field( wp_unslash( $_FILES['userpoints_csv_import']['type'] ) ) : '';

		if ( in_array( $file_type, $csv_mimetypes ) ) {
			$file = ! empty( $_FILES['userpoints_csv_import']['tmp_name'] ) ? sanitize_text_field( wp_unslash( $_FILES['userpoints_csv_import']['tmp_name'] ) ) : '';
			if ( file_exists( $file ) ) {
				$row = 1;
				ini_set( 'auto_detect_line_endings', true );
				$handle   = fopen( $file, 'r' );
				$csv_data = array();
				if ( $handle ) {
					while ( ( $data = fgetcsv( $handle, 1000, ',' ) ) !== false ) {
						$num_of_col = count( $data );
						if ( 1 == $row ) {
							$row++;
							continue;
						}
						if ( 3 == $num_of_col && isset( $data ) && ! empty( $data ) ) {
							$mwb_user_email  = sanitize_text_field( $data[0] );
							$mwb_user_points = sanitize_text_field( $data[1] );
							$mwb_user_reason = sanitize_text_field( $data[2] );
							if ( mwb_update_points_of_users( $mwb_user_email, $mwb_user_points, $mwb_user_reason ) ) {
								$user_points_imported = true;
							} else {
								$user_points_imported = false;
								$message              = __( 'Fail due to some error', 'woocommerce-ultimate-points-and-rewards' );
							}
						} else {
							$user_points_imported = false;
							$message              = __( 'Columns are not appropriate', 'woocommerce-ultimate-points-and-rewards' );
						}
					}
				} else {
					// file cannot be open.
					$user_points_imported = false;
					$message              = __( 'File Can not be opened', 'woocommerce-ultimate-points-and-rewards' );
				}
			} else {
				// file does not exist.
				$user_points_imported = false;
				$message              = __( 'File does not exist', 'woocommerce-ultimate-points-and-rewards' );
			}
		} else {
			$user_points_imported = false;
			$message              = __( 'Fail due to some error', 'woocommerce-ultimate-points-and-rewards' );
		}
	}
	if ( $user_points_imported ) {
		?>
		<div class="notice notice-success is-dismissible">
			<p><strong><?php esc_html_e( 'Users Points are Imported Successfully!', 'woocommerce-ultimate-points-and-rewards' ); ?></strong></p>
		</div>
		<?php
	} elseif ( ! $user_points_imported ) {
		?>
		<div class="notice notice-error is-dismissible">
			<p><strong><?php echo esc_html( $message ); ?></strong></p>
		</div>
		<?php
	}
}

/**
 * WooCommerce Ultimate Points And Rewards Upadate User Points.
 *
 * @since 2.0.0
 *
 * @param string $mwb_user_email  email of the user.
 * @param int    $mwb_user_points  points of the user.
 * @param string $mwb_update_reason Reason.
 * @name mwb_update_points_of_users
 * @return bool true/false;
 */
function mwb_update_points_of_users( $mwb_user_email, $mwb_user_points, $mwb_update_reason ) {
	$user = get_user_by( 'email', trim( $mwb_user_email ) );
	if ( ! empty( $user ) && is_object( $user ) ) {
		$mwb_user_points = (int) trim( $mwb_user_points );
		$get_user_points = (int) get_user_meta( $user->ID, 'mwb_wpr_points', true );
		if ( empty( $mwb_user_points ) ) {
			$mwb_user_points = 0;
		}
		if ( empty( $get_user_points ) ) {
			$get_user_points = 0;
		}
		/*Update user points*/
		$mwb_final_points = (int) $mwb_user_points + $get_user_points;
		if ( $mwb_final_points > 0 ) {
			update_user_meta( $user->ID, 'mwb_wpr_points', $mwb_final_points );
		}
		/*Get the points details of the user*/
		$admin_points = get_user_meta( $user->ID, 'points_details', true );
		/*Today date*/
		$today_date = date_i18n( 'Y-m-d h:i:sa' );
		/*Check is not empty the user points*/
		if ( isset( $mwb_user_points ) && ! empty( $mwb_user_points ) ) {
			/*Check is not empty admin points*/
			if ( isset( $admin_points['admin_points'] ) && ! empty( $admin_points['admin_points'] ) ) {
				$admin_array                    = array();
				$admin_array                    = array(
					'admin_points' => $mwb_user_points,
					'date'         => $today_date,
					'reason'       => $mwb_update_reason,
				);
				$admin_points['admin_points'][] = $admin_array;
			} else {
				if ( ! is_array( $admin_points ) ) {
					$admin_points = array();
				}
				$admin_array                    = array(
					'admin_points' => $mwb_user_points,
					'date'         => $today_date,
					'reason'       => $mwb_update_reason,
				);
				$admin_points['admin_points'][] = $admin_array;
			}
			update_user_meta( $user->ID, 'points_details', $admin_points );
		}
	}
	return true;
}
?>

<!-- ==== Creating a Pop-up Modal to Preview csv data. ==== -->
<div class="mwb_preview_csv_main_wrapper">
	<div class="mwb_wpr_show_preview_data-widget">
		<div class="mwb_wpr_show_header">
			<h4><?php esc_html_e( 'CSV DATA', 'woocommerce-ultimate-points-and-rewards' ); ?></h4>
			<div class="mwb-csv-close-btn">	
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" id="close"><path d="M13.41,12l6.3-6.29a1,1,0,1,0-1.42-1.42L12,10.59,5.71,4.29A1,1,0,0,0,4.29,5.71L10.59,12l-6.3,6.29a1,1,0,0,0,0,1.42,1,1,0,0,0,1.42,0L12,13.41l6.29,6.3a1,1,0,0,0,1.42,0,1,1,0,0,0,0-1.42Z"></path></svg>
			</div>
		</div>
		<div class="mwb_wpr_show_preview_data"></div>
	</div>
</div>
