<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link  https://makewebbetter.com/
 * @since 1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/*
 * Membership Settings Template
 */
$current_tab = 'mwb_wpr_membership_tab';
if ( isset( $_GET['tab'] ) ) {
	$current_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : '';
}

$value_check = isset( $_POST['message-other-setting'] ) ? sanitize_text_field( wp_unslash( $_POST['message-other-setting'] ) ) : '';
if ( isset( $_POST['mwb_wpr_save_membership'] ) && wp_verify_nonce( $value_check, 'other-setings' ) ) {
	unset( $_POST['mwb_wpr_save_membership'] );
	if ( 'mwb_wpr_membership_tab' === $current_tab ) {

		$membership_settings_array = array();
		$membership_roles_list     = array();
		$mwb_wpr_no_of_section     = isset( $_POST['hidden_count'] ) ? sanitize_text_field( wp_unslash( $_POST['hidden_count'] ) ) : 0;
		$mwb_wpr_mem_enable        = isset( $_POST['mwb_wpr_membership_setting_enable'] ) ? 1 : 0;
		$exclude_sale_product      = isset( $_POST['exclude_sale_product'] ) ? 1 : 0;

		if ( isset( $mwb_wpr_no_of_section ) ) {
			$count = $mwb_wpr_no_of_section;

			for ( $count = 0; $count <= $mwb_wpr_no_of_section; $count++ ) {

				$mwb_wpr_membersip_roles  = isset( $_POST[ 'mwb_wpr_membership_level_name_' . $count ] ) ? sanitize_text_field( wp_unslash( $_POST[ 'mwb_wpr_membership_level_name_' . $count ] ) ) : '';
				$mwb_wpr_membersip_roles  = preg_replace( '/\s+/', '', $mwb_wpr_membersip_roles );
				$mwb_wpr_membersip_points = isset( $_POST[ 'mwb_wpr_membership_level_value_' . $count ] ) ? sanitize_text_field( wp_unslash( $_POST[ 'mwb_wpr_membership_level_value_' . $count ] ) ) : '';
				$mwb_wpr_categ_list       = ( isset( $_POST[ 'mwb_wpr_membership_category_list_' . $count ] ) && ! empty( $_POST[ 'mwb_wpr_membership_category_list_' . $count ] ) ) ? ( map_deep( wp_unslash( $_POST[ 'mwb_wpr_membership_category_list_' . $count ] ), 'sanitize_text_field' ) ) : '';
				$mwb_wpr_prod_list        = ( isset( $_POST[ 'mwb_wpr_membership_product_list_' . $count ] ) && ! empty( $_POST[ 'mwb_wpr_membership_product_list_' . $count ] ) ) ? ( map_deep( wp_unslash( $_POST[ 'mwb_wpr_membership_product_list_' . $count ] ), 'sanitize_text_field' ) ) : '';
				$mwb_wpr_discount         = ( isset( $_POST[ 'mwb_wpr_membership_discount_' . $count ] ) && ! empty( $_POST[ 'mwb_wpr_membership_discount_' . $count ] ) ) ? sanitize_text_field( wp_unslash( $_POST[ 'mwb_wpr_membership_discount_' . $count ] ) ) : '';
				$mwb_wpr_expnum           = isset( $_POST[ 'mwb_wpr_membership_expiration_' . $count ] ) ? sanitize_text_field( wp_unslash( $_POST[ 'mwb_wpr_membership_expiration_' . $count ] ) ) : '';
				$mwb_wpr_expdays          = isset( $_POST[ 'mwb_wpr_membership_expiration_days_' . $count ] ) ? sanitize_text_field( wp_unslash( $_POST[ 'mwb_wpr_membership_expiration_days_' . $count ] ) ) : '';

				if ( isset( $mwb_wpr_membersip_roles ) && ! empty( $mwb_wpr_membersip_roles ) ) {

					$membership_roles_list[ $mwb_wpr_membersip_roles ] = array(
						'Points'     => $mwb_wpr_membersip_points,
						'Prod_Categ' => $mwb_wpr_categ_list,
						'Product'    => $mwb_wpr_prod_list,
						'Discount'   => $mwb_wpr_discount,
						'Exp_Number' => $mwb_wpr_expnum,
						'Exp_Days'   => $mwb_wpr_expdays,
					);
				}
			}
		}
		$membership_settings_array['mwb_wpr_mem_enable']   = $mwb_wpr_mem_enable;
		$membership_settings_array['membership_roles']     = $membership_roles_list;
		$membership_settings_array['exclude_sale_product'] = $exclude_sale_product;
		if ( is_array( $membership_settings_array ) ) {
			update_option( 'mwb_wpr_membership_settings', $membership_settings_array );
		}
	}
	?>
	<div class="notice notice-success is-dismissible">
		<p><strong><?php esc_html_e( 'Settings saved.', 'woocommerce-ultimate-points-and-rewards' ); ?></strong></p>
		<button type="button" class="notice-dismiss">
			<span class="screen-reader-text"><?php esc_html_e( 'Dismiss this notices.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
		</button>
	</div>
	<?php
}
if ( isset( $_GET['action'] ) && 'view_membership_log' === $_GET['action'] ) {
	include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/class-points-log-list-table.php';

} else {
	if ( isset( $_POST['set_expiry_to_old_users'] ) ) {
		$today_date         = date_i18n( 'Y-m-d h:i:sa' );
		$args['meta_query'] = array(
			'relation' => 'AND',
			array(
				'key'     => 'membership_level',
				'compare' => 'EXISTS',
			),
			array(
				'key'     => 'membership_expiration',
				'compare' => 'NOT EXISTS',
			),
		);
		$user_data          = new WP_User_Query( $args );
		$user_data          = $user_data->get_results();
		foreach ( $user_data as $key => $value ) {
			$user_id         = $value->data->ID;
			$expiration_date = gmdate( 'Y-m-d', strtotime( $today_date . ' +6 months' ) );
			update_user_meta( $user_id, 'membership_expiration', $expiration_date );
		}
		update_option( 'mwb_wpr_set_expiry_for_old_users', 'true' );
		?>
		<div class="notice notice-success is-dismissible">
		<p><strong><?php esc_html_e( 'Membership Expiration For Old Membership Users has been Updated Successfully. ', 'woocommerce-ultimate-points-and-rewards' ); //phpcs:ignoreFile. ?></strong></p>
		<button type="button" class="notice-dismiss">
			<span class="screen-reader-text"><?php esc_html_e( 'Dismiss this notices.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
		</button>
	</div>
		<?php
	}
	?>
	<?php $membership_settings_array = get_option( 'mwb_wpr_membership_settings', true ); ?>
	<?php
	if ( ! is_array( $membership_settings_array ) ) :
		$membership_settings_array = array();
	endif;
	$mwbsetexpiry = get_option( 'mwb_wpr_set_expiry_for_old_users', false );
	if ( false === $mwbsetexpiry ) {
		?>
		<div id= "mwb_wpr_set_expiry_to_old_users"> <p class="description" style="color: #7F527D;"><?php esc_html_e( 'Click on this button if you want to set 6 months expiry for all users who had  upgraded their user level to any "Membership Level" but do not have any expiration for that level,else they would not be able to use related discounts.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
			<input type="submit" name="set_expiry_to_old_users" value="<?php esc_html_e( ' Expiry for Old Users', 'woocommerce-ultimate-points-and-rewards' ); ?>" class="set_expiry_to_old_users mwb_wpr_save_changes button">
		</div>
		<?php
	}
	?>
	<div class="mwb_wpr_wrap_table">
		<table class="form-table mwb_wpr_membership_setting mwp_wpr_settings">
			<?php
				$mwb_wpr_mem_enable       = isset( $membership_settings_array['mwb_wpr_mem_enable'] ) ? intval( $membership_settings_array['mwb_wpr_mem_enable'] ) : 0;
				$mwb_wpr_membership_roles = isset( $membership_settings_array['membership_roles'] ) && ! empty( $membership_settings_array['membership_roles'] ) ? $membership_settings_array['membership_roles'] : array();
				$exclude_sale_product     = isset( $membership_settings_array['exclude_sale_product'] ) ? intval( $membership_settings_array['exclude_sale_product'] ) : 0;
			?>
			<tbody>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_membership_setting_enable"><?php esc_html_e( 'Enable Membership', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Check this box to enable the Membership Feature', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );//phpcs:ignore.
						?>
						<label for="mwb_wpr_membership_setting_enable">
							<input type="checkbox" <?php checked( $mwb_wpr_mem_enable, 1 ); ?> name="mwb_wpr_membership_setting_enable" id="mwb_wpr_membership_setting_enable" class="input-text"> <?php esc_html_e( 'Enable Membership', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</label><a href="<?php echo esc_url( MWB_WPR_HOME_URL ) . 'admin.php?page=mwb-wpr-setting&tab=mwb_wpr_membership_tab&action=view_membership_log'; ?>" class="mwb_wpr_membership_log"><?php esc_html_e( 'Membership Log', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="exclude_sale_product"><?php esc_html_e( 'Exclude Sale Products', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Check this box to do not apply the membership discount on sale products', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );//phpcs:ignore.
						?>
						<label for="exclude_sale_product">
							<input type="checkbox" <?php checked( $exclude_sale_product, 1 ); ?> name="exclude_sale_product" id="exclude_sale_product" class="input-text"> <?php esc_html_e( 'Exclude Sale Products for Membership Discount', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</label>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_membership_create_section"><?php esc_html_e( 'Create Membership', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<div class="parent_of_div">
						<?php
						$count = 0;
						if ( is_array( $mwb_wpr_membership_roles ) && ! empty( $mwb_wpr_membership_roles ) ) {

							foreach ( $mwb_wpr_membership_roles as $wps_role => $values ) { //phpcs:ignore.
								?>
								<div id ="mwb_wpr_parent_repeatable_<?php echo esc_attr( $count ); ?>" data-id="<?php echo esc_attr( $count ); ?>" class="mwb_wpr_repeat">
									<table class="mwb_wpr_repeatable_section">
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_level_name"><?php esc_html_e( 'Enter Level', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Entered text will be name of the level for membership', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );//phpcs:ignore.
												?>
												<label for="mwb_wpr_membership_level_name">
													<input type="text" name="mwb_wpr_membership_level_name_<?php echo esc_html( $count ); ?>" value="<?php echo esc_html( $wps_role ); ?>" id="mwb_wpr_membership_level_name_<?php echo esc_html( $count ); ?>" class="text_points" required><?php esc_html_e( 'Enter the Name of the Level', 'woocommerce-ultimate-points-and-rewards' ); //phpcs:ignore. ?>
												</label>
												<input type="button" value='<?php esc_html_e( 'Remove', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_remove_button" id="<?php echo esc_attr( $count ); ?>">				
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_level_value"><?php esc_html_e( 'Enter Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Entered points need to be reached for this level', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );//phpcs:disable.
												?>
												<label for="mwb_wpr_membership_level_value">
													<input type="number" min="1" value="<?php echo esc_html( $values['Points'] ); ?>" name="mwb_wpr_membership_level_value_<?php echo esc_html( $count ); ?>" id="mwb_wpr_membership_level_value_<?php echo esc_html( $count ); ?>" class="input-text" required>
												</label>			
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_expiration"><?php esc_html_e( 'Expiration Period', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Select the days, week, month, or year for the expiration of the current level', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												$exp_num = isset( $values['Exp_Number'] ) ? $values['Exp_Number'] : '';
												?>
													<input type="number" min="1" value="<?php echo esc_html( $exp_num ); ?>" name="mwb_wpr_membership_expiration_<?php echo esc_html( $count ); ?>" id="mwb_wpr_membership_expiration_<?php echo esc_html( $count ); ?>" class="input-text">
													<select id="mwb_wpr_membership_expiration_days_<?php echo esc_html( $count ); ?>" name="mwb_wpr_membership_expiration_days_<?php echo esc_html( $count ); ?>">
													<option value="days"
													<?php
													if ( isset( $values['Exp_Days'] ) ) {
														if ( 'days' == $values['Exp_Days'] ) {
															?>
														selected="selected"
															<?php
														}
													}
													?>
																		><?php esc_html_e( 'Days', 'woocommerce-ultimate-points-and-rewards' ); ?></option>
													<option value="weeks"
													<?php
													if ( isset( $values['Exp_Days'] ) ) {
														if ( 'weeks' == $values['Exp_Days'] ) {
															?>
														selected="selected"
															<?php
														}
													}
													?>
																			><?php esc_html_e( 'Weeks', 'woocommerce-ultimate-points-and-rewards' ); ?></option>
													<option value="months"
													<?php
													if ( isset( $values['Exp_Days'] ) ) {
														if ( 'months' == $values['Exp_Days'] ) {
															?>
														selected="selected"
															<?php
														}
													}
													?>
																			><?php esc_html_e( 'Months', 'woocommerce-ultimate-points-and-rewards' ); ?></option>
													<option value="years"
													<?php
													if ( isset( $values['Exp_Days'] ) ) {
														if ( 'years' == $values['Exp_Days'] ) {
															?>
														selected="selected"
															<?php
														}
													}
													?>
													><?php esc_html_e( 'Years', 'woocommerce-ultimate-points-and-rewards' ); ?></option>	
													</select>		
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_category_list"><?php esc_html_e( 'Select Product Category', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Select', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<select id="mwb_wpr_membership_category_list_<?php echo esc_html( $count ); ?>" required="true" multiple="multiple" class="mwb_wpr_common_class_categ" data-id="<?php echo esc_html( $count ); ?>" name="mwb_wpr_membership_category_list_<?php echo esc_html( $count ); ?>[]">
													<?php
													$args       = array( 'taxonomy' => 'product_cat' );
													$categories = get_terms( $args );
													if ( isset( $categories ) && ! empty( $categories ) ) {
														foreach ( $categories as $category ) {
															$catid     = $category->term_id;
															$catname   = $category->name;
															$catselect = '';

															if ( is_array( $values['Prod_Categ'] ) && in_array( $catid, $values['Prod_Categ'] ) ) {
																$catselect = "selected='selected'";
															}

															?>
															<option value="<?php echo esc_html( $catid ); ?>" <?php echo esc_html( $catselect ); ?>><?php echo esc_html( $catname ); ?></option>
															<?php
														}
													}
													?>
												</select>
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_product_list"><?php esc_html_e( 'Select Product', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Product of selected category will get displayed in Select Product Section', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<select id="mwb_wpr_membership_product_list_<?php echo esc_html( $count ); ?>" multiple="multiple" name="mwb_wpr_membership_product_list_<?php echo esc_html( $count ); ?>[]">
												<?php
													$tax_queries           = array();
													$tax_query['taxonomy'] = 'product_cat';
													$tax_query['field']    = 'id';
													$tax_query['terms']    = $values['Prod_Categ'];
													$tax_queries[]         = $tax_query;
													$args                  = array(
														'post_type' => 'product',
														'posts_per_page' => -1,
														'tax_query' => $tax_queries,
														'orderby'   => 'rand',
													);
													$loop                  = new WP_Query( $args );
													while ( $loop->have_posts() ) :
														$loop->the_post();
														$productselect = '';
														$productid     = $loop->post->ID;
														$productitle   = $loop->post->post_title;

														if ( is_array( $values['Product'] ) && in_array( $productid, $values['Product'] ) ) {

															$productselect = "selected='selected'";
														}

														?>
														<option value="<?php echo esc_html( $productid ); ?>" <?php echo esc_html( $productselect ); ?>><?php echo esc_html( $productitle ); ?></option>
														<?php
													endwhile;

													?>
												</select>
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_discount"><?php esc_html_e( 'Enter Discount (%)', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Entered Discount will be applied on above selected products', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<label for="mwb_wpr_membership_discount">
													<input type="number" min="1" max="100" value="<?php echo esc_html( $values['Discount'] ); ?>" name="mwb_wpr_membership_discount_<?php echo esc_html( $count ); ?>" id="mwb_wpr_membership_discount_<?php echo esc_html( $count ); ?>" class="input-text" required>
												</label>			
											</td>
											<input type = "hidden" value="<?php echo esc_html( $count ); ?>" name="hidden_count">
										</tr>
									</table>
								</div>
								<?php
								$count++;
							}
						} else {
							?>
						<div id ="mwb_wpr_parent_repeatable_<?php echo esc_html( $count ); ?>" data-id="<?php echo esc_html( $count ); ?>" class="mwb_wpr_repeat">
									<table class="mwb_wpr_repeatable_section">
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_level_name"><?php esc_html_e( 'Enter Level', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Entered text will be name of the level for membership', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<label for="mwb_wpr_membership_level_name">
													<input type="text" name="mwb_wpr_membership_level_name_<?php echo esc_html( $count ); ?>" value="" id="mwb_wpr_membership_level_name_<?php echo esc_html( $count ); ?>" class="text_points" required><?php esc_html_e( 'Enter the Name of the Level', 'woocommerce-ultimate-points-and-rewards' ); ?>
												</label>						
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_level_value"><?php esc_html_e( 'Enter Points', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Entered points need to be reached for this level', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<label for="mwb_wpr_membership_level_value">
													<input type="number" min="1" value="" name="mwb_wpr_membership_level_value_<?php echo esc_html( $count ); ?>" id="mwb_wpr_membership_level_value_<?php echo esc_html( $count ); ?>" class="input-text" required>
												</label>			
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_expiration"><?php esc_html_e( 'Expiration Period', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Select the days, week, month, or year for the expiration of the current level', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
													<input type="number" min="1" value="" name="mwb_wpr_membership_expiration_<?php echo esc_html( $count ); ?>" id="mwb_wpr_membership_expiration_<?php echo esc_html( $count ); ?>" class="input-text" required>
													<select id="mwb_wpr_membership_expiration_days_<?php echo esc_html( $count ); ?>" name="mwb_wpr_membership_expiration_days_<?php echo esc_html( $count ); ?>">
													<option value="days"><?php esc_html_e( 'Days', 'woocommerce-ultimate-points-and-rewards' ); ?></option>
													<option value="weeks"><?php esc_html_e( 'Weeks', 'woocommerce-ultimate-points-and-rewards' ); ?></option>
													<option value="months"><?php esc_html_e( 'Months', 'woocommerce-ultimate-points-and-rewards' ); ?></option>
													<option value="years"><?php esc_html_e( 'Years', 'woocommerce-ultimate-points-and-rewards' ); ?></option>	
													</select>		
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_category_list"><?php esc_html_e( 'Select Product Category', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Select', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<select id="mwb_wpr_membership_category_list_<?php echo esc_html( $count ); ?>" required="true"  multiple="multiple" class="mwb_wpr_common_class_categ" data-id="<?php echo esc_html( $count ); ?>" name="mwb_wpr_membership_category_list_<?php echo esc_html( $count ); ?>[]">
													<?php
													$args       = array( 'taxonomy' => 'product_cat' );
													$categories = get_terms( $args );
													if ( isset( $categories ) && ! empty( $categories ) ) {
														foreach ( $categories as $category ) {
															$catid     = $category->term_id;
															$catname   = $category->name;
															$catselect = '';

															?>
															<option value="<?php echo esc_html( $catid ); ?>" <?php echo esc_html( $catselect ); ?>><?php echo esc_html( $catname ); ?></option>
															<?php
														}
													}
													?>
												</select>
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_product_list"><?php esc_html_e( 'Select Product', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
													<?php
													$attribute_description = __( 'Product of selected category will get displayed in Select Product Section', 'woocommerce-ultimate-points-and-rewards' );
													echo wp_kses_post( wc_help_tip( $attribute_description ) );
													?>
												<select id="mwb_wpr_membership_product_list_<?php echo esc_html( $count ); ?>" multiple="multiple" name="mwb_wpr_membership_product_list_<?php echo esc_html( $count ); ?>[]">
												</select>
											</td>
										</tr>
										<tr valign="top">
											<th scope="row" class="titledesc">
												<label for="mwb_wpr_membership_discount"><?php esc_html_e( 'Enter Discount (%)', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
											</th>
											<td class="forminp forminp-text">
												<?php
												$attribute_description = __( 'Entered Discount will be applied on above selected products', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( wc_help_tip( $attribute_description ) );
												?>
												<label for="mwb_wpr_membership_discount">
													<input type="number" min="1" max="100" value="" name="mwb_wpr_membership_discount_<?php echo esc_html( $count ); ?>" id="mwb_wpr_membership_discount_<?php echo esc_html( $count ); ?>" class="input-text" required>
												</label>			
											</td>
											<input type = "hidden" value="<?php echo esc_html( $count ); ?>" name="hidden_count">
										</tr>
									</table>
								</div>
					

						<?php } ?>		
						</div>
						<input type="button" value='<?php esc_html_e( 'Add Another', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_repeat_button">
						<p class= "description"><?php esc_html_e( 'Please do not change the "Level Name" once it will be saved, as it become the key for the Membership User', 'woocommerce-ultimate-points-and-rewards' ); ?></p>
					</td>
				</tr>		
			</tbody>
		</table>
	</div>
	<p class="submit">
		<?php $nonce = wp_create_nonce( 'other-setings' ); ?>
		<input type="hidden" name="message-other-setting" value="<?php echo esc_attr( $nonce );//phpcs:enable ?>" />
		<input type="submit" value='<?php esc_html_e( 'Save changes', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_save_changes" name="mwb_wpr_save_membership">
	</p>
	<?php
}
