<?php
/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

$mwb_wpr_order_total_points_nonce = ! empty( $_POST['mwb_wpr_order_total_points_nonce'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_order_total_points_nonce'] ) ) : '';
if ( wp_verify_nonce( $mwb_wpr_order_total_points_nonce, 'order-total-points-nonce' ) ) {
	if ( isset( $_POST['mwb_wpr_save_order_totalsettings'] ) ) {
		if ( ! isset( $_POST['mwb_wpr_thankyouorder_enable'] ) ) {
			$_POST['mwb_wpr_thankyouorder_enable'] = 'off';
		}

		if ( isset( $_POST['mwb_wpr_thankyouorder_enable'] ) && ! empty( $_POST['mwb_wpr_thankyouorder_enable'] ) ) {
			update_option( 'mwb_wpr_thankyouorder_enable', sanitize_text_field( wp_unslash( $_POST['mwb_wpr_thankyouorder_enable'] ) ) );
		}

		$mwb_wpr_thanky_ouorder_minimum = ! empty( $_POST['mwb_wpr_thankyouorder_minimum'] ) ? ( is_array( $_POST['mwb_wpr_thankyouorder_minimum'] ) ? map_deep( wp_unslash( $_POST['mwb_wpr_thankyouorder_minimum'] ), 'sanitize_text_field' ) : sanitize_text_field( wp_unslash( $_POST['mwb_wpr_thankyouorder_minimum'] ) ) ) : array();
		if ( ! isset( $mwb_wpr_thanky_ouorder_minimum ) ) {
			$mwb_wpr_thanky_ouorder_minimum = array();
		} elseif ( ! empty( $mwb_wpr_thanky_ouorder_minimum ) ) {
			update_option( 'mwb_wpr_thankyouorder_minimum', $mwb_wpr_thanky_ouorder_minimum );
		}

		$mwb_wpr_thanky_ouorder_maximum = ! empty( $_POST['mwb_wpr_thankyouorder_maximum'] ) ? ( is_array( $_POST['mwb_wpr_thankyouorder_maximum'] ) ? map_deep( wp_unslash( $_POST['mwb_wpr_thankyouorder_maximum'] ), 'sanitize_text_field' ) : sanitize_text_field( wp_unslash( $_POST['mwb_wpr_thankyouorder_maximum'] ) ) ) : array();
		if ( ! isset( $mwb_wpr_thanky_ouorder_maximum ) ) {
			$mwb_wpr_thanky_ouorder_maximum = array();
		} elseif ( ! empty( $mwb_wpr_thanky_ouorder_maximum ) ) {
			update_option( 'mwb_wpr_thankyouorder_maximum', $mwb_wpr_thanky_ouorder_maximum );
		}

		$mwb_wpr_thanky_ouorder_current_type = ! empty( $_POST['mwb_wpr_thankyouorder_current_type'] ) ? ( is_array( $_POST['mwb_wpr_thankyouorder_current_type'] ) ? map_deep( wp_unslash( $_POST['mwb_wpr_thankyouorder_current_type'] ), 'sanitize_text_field' ) : sanitize_text_field( wp_unslash( $_POST['mwb_wpr_thankyouorder_current_type'] ) ) ) : array();
		if ( ! isset( $mwb_wpr_thanky_ouorder_current_type ) ) {
			$mwb_wpr_thanky_ouorder_current_type = array();
		} elseif ( ! empty( $mwb_wpr_thanky_ouorder_current_type ) ) {
			update_option( 'mwb_wpr_thankyouorder_current_type', $mwb_wpr_thanky_ouorder_current_type );
		}
		?>
		<div class="notice notice-success is-dismissible">
			<p><strong><?php esc_html_e( 'Settings saved.', 'woocommerce-ultimate-points-and-rewards' ); ?></strong></p>
			<button type="button" class="notice-dismiss">
				<span class="screen-reader-text"><?php esc_html_e( 'Dismiss this notices.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
			</button>
		</div>
		<?php
	}
}
// ======================custmiation=========================================
$thankyouorder_min    = get_option( 'mwb_wpr_thankyouorder_minimum', array() );
$thankyouorder_max    = get_option( 'mwb_wpr_thankyouorder_maximum', array() );
$thankyouorder_value  = get_option( 'mwb_wpr_thankyouorder_current_type', array() );
$thankyouorder_enable = get_option( 'mwb_wpr_thankyouorder_enable', false );
// ======================custmiation=========================================
?>
<div class="mwb_table">
	<table class="form-table mwb_wpr_general_setting mwp_wpr_settings">
		<tbody>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_thankyouorder_enable"><?php esc_html_e( 'Enable the settings for the orders', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable gift coupon for those customers who had placed orders in your site', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_thankyouorder_enable">
						<input type="checkbox" <?php echo ( 'on' === $thankyouorder_enable ) ? "checked='checked'" : ''; ?> name="mwb_wpr_thankyouorder_enable" id="mwb_wpr_thankyouorder_enable" class="input-text"> <?php esc_html_e( 'Enable Points on order total.', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
			<tr valign="top" class="mwb_wpr_thankyouorder_row" >
				<th>
					<label for="mwb_wpr_thankyouorder_fields"><?php esc_html_e( 'Enter Points within Order Range', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<table class="form-table wp-list-table widefat fixed striped">
						<tbody class="mwb_wpr_thankyouorder_tbody">	
							<tr valign="top">
								<th><?php esc_html_e( 'Minimum', 'woocommerce-ultimate-points-and-rewards' ); ?></th>
								<th><?php esc_html_e( 'Maximum', 'woocommerce-ultimate-points-and-rewards' ); ?></th>

								<th><?php esc_html_e( 'Points', 'woocommerce-ultimate-points-and-rewards' ); ?></th>
								<th class="mwb_wpr_remove_thankyouorder_content"><?php esc_html_e( 'Action', 'woocommerce-ultimate-points-and-rewards' ); ?></th>
							</tr>
							<?php
							if ( isset( $thankyouorder_min ) && null !== $thankyouorder_min && isset( $thankyouorder_max ) && null !== $thankyouorder_max && isset( $thankyouorder_value ) && null !== $thankyouorder_value ) {
								$mwb_wpr_no = 1;
								if ( count( $thankyouorder_min ) === count( $thankyouorder_max ) && count( $thankyouorder_max ) === count( $thankyouorder_value ) ) {
									foreach ( $thankyouorder_min as $key => $value ) {
										//phpcs:disable.
										?>
										<tr valign="top">
											<td class="forminp forminp-text">
												<label for="mwb_wpr_thankyouorder_minimum">
													<input type="text" name="mwb_wpr_thankyouorder_minimum[]" class="mwb_wpr_thankyouorder_minimum input-text wc_input_price" required="" placeholder = "No minimum" value="<?php echo wp_kses_post( $thankyouorder_min[ $key ] ); ?>">
												</label>
											</td>
											<td class="forminp forminp-text">
												<label for="mwb_wpr_thankyouorder_maximum">
													<input type="text" name="mwb_wpr_thankyouorder_maximum[]" class="mwb_wpr_thankyouorder_maximum"  placeholder = "No maximum" value="<?php echo wp_kses_post( $thankyouorder_max[ $key ] ); ?>">
												</label>
											</td>
											<td class="forminp forminp-text">
												<label for="mwb_wpr_thankyouorder_current_type">
													<input type="text" name="mwb_wpr_thankyouorder_current_type[]" class="mwb_wpr_thankyouorder_current_type input-text wc_input_price" required=""  value="<?php echo wp_kses_post( $thankyouorder_value[ $key ] ); ?>">
												</label>
											</td>							
											<td class="mwb_wpr_remove_thankyouorder_content forminp forminp-text">
												<input type="button" value="<?php esc_html_e( 'Remove', 'woocommerce-ultimate-points-and-rewards' ); ?>" class="mwb_wpr_remove_thankyouorder button" >
											</td>
										</tr>
										<?php
									}
									//phpcs:enable.
								}
							} else {
								?>
								<tr valign="top">
									<td class="forminp forminp-text">
										<label for="mwb_wpr_thankyouorder_minimum">
											<input type="text" name="mwb_wpr_thankyouorder_minimum[]" class="mwb_wpr_thankyouorder_minimum input-text wc_input_price" required="">
										</label>
									</td>
									<td class="forminp forminp-text">
										<label for="mwb_wpr_thankyouorder_maximum">
											<input type="text" name="mwb_wpr_thankyouorder_maximum[]" class="mwb_wpr_thankyouorder_maximum input-text wc_input_price" required="">
										</label>
									</td>
									<td class="forminp forminp-text">
										<label for="mwb_wpr_thankyouorder_current_type">
											<input type="text" name="mwb_wpr_thankyouorder_current_type[]" class="mwb_wpr_thankyouorder_current_type input-text wc_input_price" required="">
										</label>
									</td>							
									<td class="mwb_wpr_remove_thankyouorder_content forminp forminp-text">
										<input type="button" value="<?php esc_html_e( 'Remove', 'woocommerce-ultimate-points-and-rewards' ); ?>" class="mwb_wpr_remove_thankyouorder button" >
									</td>
								</tr>
								<?php
							}
							?>
						</tbody>
					</table>
					<input type="button" value="<?php esc_html_e( 'Add More', 'woocommerce-ultimate-points-and-rewards' ); ?>" class="mwb_wpr_add_more button" id="mwb_wpr_add_more">
				</td>
			</tr>
		</tbody>
	</table>
</div>
<p class="submit">
	<input type="hidden" name="mwb_wpr_order_total_points_nonce" value="<?php echo esc_html( wp_create_nonce( 'order-total-points-nonce' ) ); ?>">
	<input type="submit" value='<?php esc_html_e( 'Save changes', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_save_changes" name="mwb_wpr_save_order_totalsettings">
</p>
