<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link  https://makewebbetter.com/
 * @since 1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$current_tab = 'mwb_wpr_notificatin_tab';
if ( isset( $_GET['tab'] ) ) {
	$current_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : '';
}
$mwb_wpr_email_nonce = ! empty( $_POST['mwb_wpr_email_nonce'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_email_nonce'] ) ) : '';
if ( wp_verify_nonce( $mwb_wpr_email_nonce, 'mwb-wpr-email-nonce' ) ) {
	if ( isset( $_POST['mwb_wpr_save_notification'] ) ) {

		if ( 'mwb_wpr_notificatin_tab' === $current_tab ) {
			$mwb_wpr_notificatin_array      = array();
			$mwb_wpr_notificatin_enable     = isset( $_POST['mwb_wpr_notification_setting_enable'] ) ? 1 : 0;
			$mwb_wpr_email_subject          = ( isset( $_POST['mwb_wpr_email_subject'] ) && null != $_POST['mwb_wpr_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_email_subject'] ) ) ) : esc_html__( 'Custom Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_signup_email_subject   = ( isset( $_POST['mwb_wpr_signup_email_subject'] ) && null != $_POST['mwb_wpr_signup_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_signup_email_subject'] ) ) ) : esc_html__( 'Signup Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_product_email_subject  = ( isset( $_POST['mwb_wpr_product_email_subject'] ) && null != $_POST['mwb_wpr_product_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_product_email_subject'] ) ) ) : esc_html__( 'product Purchase Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_comment_email_subject  = ( isset( $_POST['mwb_wpr_comment_email_subject'] ) && null != $_POST['mwb_wpr_comment_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_comment_email_subject'] ) ) ) : esc_html__( 'Comment Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_amount_email_subject   = ( isset( $_POST['mwb_wpr_amount_email_subject'] ) && null != $_POST['mwb_wpr_amount_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_amount_email_subject'] ) ) ) : esc_html__( 'Order Amount Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_referral_email_subject = ( isset( $_POST['mwb_wpr_referral_email_subject'] ) && null != $_POST['mwb_wpr_referral_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_referral_email_subject'] ) ) ) : esc_html__( 'Referral Points Notification', 'woocommerce-ultimate-points-and-rewards' );

			$mwb_wpr_referral_purchase_email_subject               = ( isset( $_POST['mwb_wpr_referral_purchase_email_subject'] ) && null != $_POST['mwb_wpr_referral_purchase_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_referral_purchase_email_subject'] ) ) ) : esc_html__( 'Referral Purchase Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_membership_email_subject                      = ( isset( $_POST['mwb_wpr_membership_email_subject'] ) && null != $_POST['mwb_wpr_membership_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_membership_email_subject'] ) ) ) : esc_html__( 'Upgrade Membership Level Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_pro_pur_by_points_email_subject               = ( isset( $_POST['mwb_wpr_pro_pur_by_points_email_subject'] ) && null != $_POST['mwb_wpr_pro_pur_by_points_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_pro_pur_by_points_email_subject'] ) ) ) : esc_html__( 'Product Purchased Through Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_email_discription_custom_id                   = ( isset( $_POST['mwb_wpr_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_email_discription_custom_id'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_email_discription_custom_id'] ) ) : esc_html__( 'Your points is updated and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
			$mwb_wpr_signup_email_discription_custom_id            = ( isset( $_POST['mwb_wpr_signup_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_signup_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_signup_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
			$mwb_wpr_product_email_discription_custom_id           = ( isset( $_POST['mwb_wpr_product_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_product_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_product_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . esc_html__( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
			$mwb_wpr_comment_email_discription_custom_id           = ( isset( $_POST['mwb_wpr_comment_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_comment_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_comment_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . esc_html__( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
			$mwb_wpr_amount_email_discription_custom_id            = ( isset( $_POST['mwb_wpr_amount_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_amount_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_amount_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . esc_html__( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
			$mwb_wpr_referral_email_discription_custom_id          = ( isset( $_POST['mwb_wpr_referral_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_referral_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_referral_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
			$mwb_wpr_referral_purchase_email_discription_custom_id = ( isset( $_POST['mwb_wpr_referral_purchase_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_referral_purchase_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_referral_purchase_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';

			$mwb_wpr_membership_email_discription_custom_id  = ( isset( $_POST['mwb_wpr_membership_email_discription_custom_id'] ) && null != $_POST['mwb_wpr_membership_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_membership_email_discription_custom_id'] ) ) ) : esc_html__( 'Your User Level has been Upgraded to ', 'woocommerce-ultimate-points-and-rewards' ) . '[USERLEVEL]' . esc_html__( '. And Now You will get some offers on some products.', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_pro_pur_by_points_discription_custom_id = ( isset( $_POST['mwb_wpr_pro_pur_by_points_discription_custom_id'] ) && null != $_POST['mwb_wpr_pro_pur_by_points_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_pro_pur_by_points_discription_custom_id'] ) ) ) : esc_html__( 'Product Purchased Point ', 'woocommerce-ultimate-points-and-rewards' ) . '[PROPURPOINTS]' . esc_html__( ' has been deducted from your points on purchasing, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_deduct_assigned_point_desciption        = ( isset( $_POST['mwb_wpr_deduct_assigned_point_desciption'] ) && null != $_POST['mwb_wpr_deduct_assigned_point_desciption'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_deduct_assigned_point_desciption'] ) ) ) : esc_html__( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTEDPOINT]' . esc_html__( ' has been deducted from your total points as you have requested for your refund, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_deduct_assigned_point_subject           = ( isset( $_POST['mwb_wpr_deduct_assigned_point_subject'] ) && null != $_POST['mwb_wpr_deduct_assigned_point_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_deduct_assigned_point_subject'] ) ) ) : esc_html__( 'Your Points has been Deducted', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_deduct_per_currency_point_description   = ( isset( $_POST['mwb_wpr_deduct_per_currency_point_description'] ) && null != $_POST['mwb_wpr_deduct_per_currency_point_description'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_deduct_per_currency_point_description'] ) ) ) : esc_html__( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTEDPOINT]' . esc_html__( ' has been deducted from your total points as you have requested for your refund, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_deduct_per_currency_point_subject       = ( isset( $_POST['mwb_wpr_deduct_per_currency_point_subject'] ) && null != $_POST['mwb_wpr_deduct_per_currency_point_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_deduct_per_currency_point_subject'] ) ) ) : esc_html__( 'Your Points has been Deducted', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_return_pro_pur_description              = ( isset( $_POST['mwb_wpr_return_pro_pur_description'] ) && null != $_POST['mwb_wpr_return_pro_pur_description'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_return_pro_pur_description'] ) ) ) : esc_html__( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[RETURNPOINT]' . esc_html__( ' has been returned to your point account as you have requested for your refund, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_return_pro_pur_subject                  = ( isset( $_POST['mwb_wpr_return_pro_pur_subject'] ) && null != $_POST['mwb_wpr_return_pro_pur_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_return_pro_pur_subject'] ) ) ) : esc_html__( 'Your Points has been Returned', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_point_sharing_description               = ( isset( $_POST['mwb_wpr_point_sharing_description'] ) && null != $_POST['mwb_wpr_point_sharing_description'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_point_sharing_description'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[RECEIVEDPOINT]' . esc_html__( ' by your one of the friend having Email Id is ', 'woocommerce-ultimate-points-and-rewards' ) . '[SENDEREMAIL]' . esc_html__( ' and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_point_sharing_subject                   = ( isset( $_POST['mwb_wpr_point_sharing_subject'] ) && null != $_POST['mwb_wpr_point_sharing_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_point_sharing_subject'] ) ) ) : esc_html__( 'Received Points Successfully!!', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_point_on_cart_desc                      = ( isset( $_POST['mwb_wpr_point_on_cart_desc'] ) && null != $_POST['mwb_wpr_point_on_cart_desc'] ) ? sanitize_text_field( wp_unslash( $_POST['mwb_wpr_point_on_cart_desc'] ) ) : esc_html__( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTCARTPOINT]' . esc_html__( ' Points has been deducted from your account, now your Total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_point_on_cart_subject                   = ( isset( $_POST['mwb_wpr_point_on_cart_subject'] ) && null != $_POST['mwb_wpr_point_on_cart_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_point_on_cart_subject'] ) ) ) : esc_html__( 'Points Deducted!!', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_point_on_order_total_range_desc         = ( isset( $_POST['mwb_wpr_point_on_order_total_range_desc'] ) && null != $_POST['mwb_wpr_point_on_order_total_range_desc'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_point_on_order_total_range_desc'] ) ) ) : esc_html__( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTCARTPOINT]' . esc_html__( ' Points has been deducted from your account, now your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
			$mwb_wpr_point_on_order_total_range_subject      = ( isset( $_POST['mwb_wpr_point_on_order_total_range_subject'] ) && null != $_POST['mwb_wpr_point_on_order_total_range_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_point_on_order_total_range_subject'] ) ) ) : esc_html__( 'Points Deducted!!', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_daily_login_email_subject               = ! empty( $_POST['mwb_wpr_daily_login_email_subject'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_daily_login_email_subject'] ) ) ) : esc_html__( 'Daily Login Points Notification', 'woocommerce-ultimate-points-and-rewards' );
			$mwb_wpr_daily_login_email_discription_custom_id = ! empty( $_POST['mwb_wpr_daily_login_email_discription_custom_id'] ) ? stripcslashes( sanitize_text_field( wp_unslash( $_POST['mwb_wpr_daily_login_email_discription_custom_id'] ) ) ) : esc_html__( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . esc_html__( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';

			$mwb_wpr_notificatin_array['mwb_wpr_notificatin_enable']                            = $mwb_wpr_notificatin_enable;
			$mwb_wpr_notificatin_array['mwb_wpr_email_subject']                                 = $mwb_wpr_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_signup_email_subject']                          = $mwb_wpr_signup_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_product_email_subject']                         = $mwb_wpr_product_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_comment_email_subject']                         = $mwb_wpr_comment_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_amount_email_subject']                          = $mwb_wpr_amount_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_referral_email_subject']                        = $mwb_wpr_referral_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_referral_purchase_email_subject']               = $mwb_wpr_referral_purchase_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_membership_email_subject']                      = $mwb_wpr_membership_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_email_discription_custom_id']                   = $mwb_wpr_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_signup_email_discription_custom_id']            = $mwb_wpr_signup_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_product_email_discription_custom_id']           = $mwb_wpr_product_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_comment_email_discription_custom_id']           = $mwb_wpr_comment_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_amount_email_discription_custom_id']            = $mwb_wpr_amount_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_referral_email_discription_custom_id']          = $mwb_wpr_referral_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_referral_purchase_email_discription_custom_id'] = $mwb_wpr_referral_purchase_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_membership_email_discription_custom_id']        = $mwb_wpr_membership_email_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_pro_pur_by_points_email_subject']               = $mwb_wpr_pro_pur_by_points_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_pro_pur_by_points_discription_custom_id']       = $mwb_wpr_pro_pur_by_points_discription_custom_id;
			$mwb_wpr_notificatin_array['mwb_wpr_deduct_assigned_point_subject']                 = $mwb_wpr_deduct_assigned_point_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_deduct_assigned_point_desciption']              = $mwb_wpr_deduct_assigned_point_desciption;
			$mwb_wpr_notificatin_array['mwb_wpr_deduct_per_currency_point_description']         = $mwb_wpr_deduct_per_currency_point_description;
			$mwb_wpr_notificatin_array['mwb_wpr_deduct_per_currency_point_subject']             = $mwb_wpr_deduct_per_currency_point_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_return_pro_pur_description']                    = $mwb_wpr_return_pro_pur_description;
			$mwb_wpr_notificatin_array['mwb_wpr_return_pro_pur_subject']                        = $mwb_wpr_return_pro_pur_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_point_sharing_description']                     = $mwb_wpr_point_sharing_description;
			$mwb_wpr_notificatin_array['mwb_wpr_point_sharing_subject']                         = $mwb_wpr_point_sharing_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_point_on_cart_subject']                         = $mwb_wpr_point_on_cart_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_point_on_cart_desc']                            = $mwb_wpr_point_on_cart_desc;
			$mwb_wpr_notificatin_array['mwb_wpr_point_on_order_total_range_subject']            = $mwb_wpr_point_on_order_total_range_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_point_on_order_total_range_desc']               = $mwb_wpr_point_on_order_total_range_desc;
			$mwb_wpr_notificatin_array['mwb_wpr_daily_login_email_subject']                     = $mwb_wpr_daily_login_email_subject;
			$mwb_wpr_notificatin_array['mwb_wpr_daily_login_email_discription_custom_id']       = $mwb_wpr_daily_login_email_discription_custom_id;

			if ( is_array( $mwb_wpr_notificatin_array ) ) {
				update_option( 'mwb_wpr_notificatin_array', $mwb_wpr_notificatin_array );
			}
		}
		?>
	`	<div class="notice notice-success is-dismissible">
			<p><strong><?php esc_html_e( 'Settings saved.', 'woocommerce-ultimate-points-and-rewards' ); ?></strong></p>
			<button type="button" class="notice-dismiss">
				<span class="screen-reader-text"><?php esc_html_e( 'Dismiss this notice.', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
			</button>
		</div>	
		<?php
	}
}

$mwb_wpr_notification_settings = get_option( 'mwb_wpr_notificatin_array', true );
if ( ! is_array( $mwb_wpr_notification_settings ) ) :
	$mwb_wpr_notification_settings = array();
endif;

$mwb_wpr_notificatin_enable                            = isset( $mwb_wpr_notification_settings['mwb_wpr_notificatin_enable'] ) ? intval( $mwb_wpr_notification_settings['mwb_wpr_notificatin_enable'] ) : 0;
$mwb_wpr_email_subject                                 = isset( $mwb_wpr_notification_settings['mwb_wpr_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_email_subject'] : __( 'Custom Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_signup_email_subject                          = isset( $mwb_wpr_notification_settings['mwb_wpr_signup_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_signup_email_subject'] : __( 'Signup Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_product_email_subject                         = isset( $mwb_wpr_notification_settings['mwb_wpr_product_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_product_email_subject'] : __( 'Product Purchase Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_comment_email_subject                         = isset( $mwb_wpr_notification_settings['mwb_wpr_comment_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_comment_email_subject'] : __( 'Comment Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_amount_email_subject                          = isset( $mwb_wpr_notification_settings['mwb_wpr_amount_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_amount_email_subject'] : __( 'Order Amount Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_referral_email_subject                        = isset( $mwb_wpr_notification_settings['mwb_wpr_referral_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_referral_email_subject'] : __( 'Referral Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_referral_purchase_email_subject               = isset( $mwb_wpr_notification_settings['mwb_wpr_referral_purchase_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_referral_purchase_email_subject'] : __( 'Referral Purchase Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_membership_email_subject                      = isset( $mwb_wpr_notification_settings['mwb_wpr_membership_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_membership_email_subject'] : __( 'Upgrade Membership Level Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_pro_pur_by_points_email_subject               = isset( $mwb_wpr_notification_settings['mwb_wpr_pro_pur_by_points_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_pro_pur_by_points_email_subject'] : __( 'Product Purchased Through Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_email_discription_custom_id                   = isset( $mwb_wpr_notification_settings['mwb_wpr_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_email_discription_custom_id'] : __( 'Your points are updated and your total points are ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_signup_email_discription_custom_id            = isset( $mwb_wpr_notification_settings['mwb_wpr_signup_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_signup_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_product_email_discription_custom_id           = isset( $mwb_wpr_notification_settings['mwb_wpr_product_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_product_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_comment_email_discription_custom_id           = isset( $mwb_wpr_notification_settings['mwb_wpr_comment_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_comment_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_amount_email_discription_custom_id            = isset( $mwb_wpr_notification_settings['mwb_wpr_amount_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_amount_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_referral_email_discription_custom_id          = isset( $mwb_wpr_notification_settings['mwb_wpr_referral_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_referral_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_referral_purchase_email_discription_custom_id = isset( $mwb_wpr_notification_settings['mwb_wpr_referral_purchase_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_referral_purchase_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
$mwb_wpr_membership_email_discription_custom_id        = isset( $mwb_wpr_notification_settings['mwb_wpr_membership_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_membership_email_discription_custom_id'] : __( 'Your User Level has been Upgraded to ', 'woocommerce-ultimate-points-and-rewards' ) . '[USERLEVEL]' . __( '. And Now You will get some offers on some products.', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_pro_pur_by_points_discription_custom_id       = isset( $mwb_wpr_notification_settings['mwb_wpr_pro_pur_by_points_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_pro_pur_by_points_discription_custom_id'] : __( 'Product Purchased Point ', 'woocommerce-ultimate-points-and-rewards' ) . '[PROPURPOINTS]' . __( ' has been deducted from your points on purchasing, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
$mwb_wpr_deduct_assigned_point_subject                 = isset( $mwb_wpr_notification_settings['mwb_wpr_deduct_assigned_point_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_deduct_assigned_point_subject'] : __( 'Your Points has been Deducted', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_deduct_assigned_point_desciption              = isset( $mwb_wpr_notification_settings['mwb_wpr_deduct_assigned_point_desciption'] ) ? $mwb_wpr_notification_settings['mwb_wpr_deduct_assigned_point_desciption'] : __( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTEDPOINT]' . __( ' has been deducted from your total points as you have requested for your refund, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
$mwb_wpr_deduct_per_currency_point_subject             = isset( $mwb_wpr_notification_settings['mwb_wpr_deduct_per_currency_point_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_deduct_per_currency_point_subject'] : __( 'Your Points has been Deducted', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_deduct_per_currency_point_description         = isset( $mwb_wpr_notification_settings['mwb_wpr_deduct_per_currency_point_description'] ) ? $mwb_wpr_notification_settings['mwb_wpr_deduct_per_currency_point_description'] : __( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTEDPOINT]' . __( ' has been deducted from your total points as you have requested for your refund, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
$mwb_wpr_return_pro_pur_subject                        = isset( $mwb_wpr_notification_settings['mwb_wpr_return_pro_pur_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_return_pro_pur_subject'] : __( 'Your Points has been Returned', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_return_pro_pur_description                    = isset( $mwb_wpr_notification_settings['mwb_wpr_return_pro_pur_description'] ) ? $mwb_wpr_notification_settings['mwb_wpr_return_pro_pur_description'] : __( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[RETURNPOINT]' . __( ' has been returned to your point account as you have requested for your refund, and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
$mwb_wpr_point_sharing_subject                         = isset( $mwb_wpr_notification_settings['mwb_wpr_point_sharing_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_point_sharing_subject'] : __( 'Received Points Successfully!!', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_point_sharing_description                     = isset( $mwb_wpr_notification_settings['mwb_wpr_point_sharing_description'] ) ? $mwb_wpr_notification_settings['mwb_wpr_point_sharing_description'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[RECEIVEDPOINT]' . __( ' by your one of the friend having Email Id is ', 'woocommerce-ultimate-points-and-rewards' ) . '[SENDEREMAIL]' . __( ' and your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';

$mwb_wpr_point_on_cart_subject                   = isset( $mwb_wpr_notification_settings['mwb_wpr_point_on_cart_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_point_on_cart_subject'] : __( 'Points Deducted!!', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_point_on_cart_desc                      = isset( $mwb_wpr_notification_settings['mwb_wpr_point_on_cart_desc'] ) ? $mwb_wpr_notification_settings['mwb_wpr_point_on_cart_desc'] : __( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[DEDUCTCARTPOINT]' . __( ' Points has been deducted from your account, now your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
$mwb_wpr_point_on_order_total_range_subject      = isset( $mwb_wpr_notification_settings['mwb_wpr_point_on_order_total_range_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_point_on_order_total_range_subject'] : __( 'Points Added!', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_point_on_order_total_range_desc         = isset( $mwb_wpr_notification_settings['mwb_wpr_point_on_order_total_range_desc'] ) ? $mwb_wpr_notification_settings['mwb_wpr_point_on_order_total_range_desc'] : __( 'Your ', 'woocommerce-ultimate-points-and-rewards' ) . '[ORDERTOTALPOINT]' . __( ' Points has been added in your account, now your Total Point is ', 'woocommerce-ultimate-points-and-rewards' ) . '[TOTALPOINTS].';
$mwb_wpr_daily_login_email_subject               = ! empty( $mwb_wpr_notification_settings['mwb_wpr_daily_login_email_subject'] ) ? $mwb_wpr_notification_settings['mwb_wpr_daily_login_email_subject'] : esc_html__( 'Daily Login Points Notification', 'woocommerce-ultimate-points-and-rewards' );
$mwb_wpr_daily_login_email_discription_custom_id = ! empty( $mwb_wpr_notification_settings['mwb_wpr_daily_login_email_discription_custom_id'] ) ? $mwb_wpr_notification_settings['mwb_wpr_daily_login_email_discription_custom_id'] : __( 'You have received ', 'woocommerce-ultimate-points-and-rewards' ) . '[Points]' . __( ' points and your total points is ', 'woocommerce-ultimate-points-and-rewards' ) . '[Total Points].';
?>
<div class="mwb_table">
	<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
		<tbody>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="mwb_wpr_notification_setting_enable"><?php esc_html_e( 'Enable', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
				</th>
				<td class="forminp forminp-text">
					<?php
					$attribute_description = __( 'Check this box to enable the points notification.', 'woocommerce-ultimate-points-and-rewards' );
					echo wp_kses_post( wc_help_tip( $attribute_description ) );
					?>
					<label for="mwb_wpr_notification_setting_enable">
						<input type="checkbox" name="mwb_wpr_notification_setting_enable" <?php checked( $mwb_wpr_notificatin_enable, 1 ); ?> id="mwb_wpr_notification_setting_enable" class="input-text"> <?php esc_html_e( 'Enable Points Notification', 'woocommerce-ultimate-points-and-rewards' ); ?>
					</label>						
				</td>
			</tr>
		</tbody>
	</table>	
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( "Points table's Custom Points Notification Settings", 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_email_subject">
							<input type="text" name="mwb_wpr_email_subject" value="<?php echo esc_html( $mwb_wpr_email_subject ); ?>" id="mwb_wpr_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points, ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username and', 'woocommerce-ultimate-points-and-rewards' );
					?>
					<strong> 
					<?php
					esc_html_e( 'In this section don’t use', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode ', 'woocommerce-ultimate-points-and-rewards' );
					?>
					</strong>
						<label for="mwb_wpr_email_discription_custom_id">
							<?php
							$content   = ( $mwb_wpr_email_discription_custom_id );
							$editor_id = 'mwb_wpr_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Signup Points Notification Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">	
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_signup_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_signup_email_subject">
							<input type="text" name="mwb_wpr_signup_email_subject" value="<?php echo esc_html( $mwb_wpr_signup_email_subject ); ?>" id="mwb_wpr_signup_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_signup_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode to be placed Signup Points dynamically, ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Refer Points]';
					esc_html_e( ' in place of Referral points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Comment Points]';
					esc_html_e( ' in place of comment points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Per Currency Spent Points]';
					esc_html_e( ' in place of Per Currency spent points and ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_signup_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_signup_email_discription_custom_id );
							$editor_id = 'mwb_wpr_signup_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_signup_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Product Purchase Points Notification Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">	
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_product_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_product_email_subject">
							<input type="text" name="mwb_wpr_product_email_subject" value="<?php echo esc_html( $mwb_wpr_product_email_subject ); ?>" id="mwb_wpr_product_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_product_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode in place of Product Purchase Points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Refer Points]';
					esc_html_e( ' in place of Referral points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Comment Points]';
					esc_html_e( ' in place of comment points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Per Currency Spent Points]';
					esc_html_e( ' in place of Per Currency spent points and ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_product_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_product_email_discription_custom_id );
							$editor_id = 'mwb_wpr_product_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_product_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>	
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Comment Points Notification Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_comment_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_comment_email_subject">
							<input type="text" name="mwb_wpr_comment_email_subject" value="<?php echo esc_html( $mwb_wpr_comment_email_subject ); ?>" id="mwb_wpr_comment_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_comment_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode in place of comment points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Refer Points]';
					esc_html_e( ' in place of Referral points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Per Currency Spent Points]';
					esc_html_e( ' in place of per currency spent points and ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_comment_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_comment_email_discription_custom_id );
							$editor_id = 'mwb_wpr_comment_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_comment_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>	
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Daily Login Points Notification Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_daily_login_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_daily_login_email_subject">
							<input type="text" name="mwb_wpr_daily_login_email_subject" value="<?php echo esc_html( $mwb_wpr_daily_login_email_subject ); ?>" id="mwb_wpr_daily_login_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_daily_login_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode in place of daily login points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_daily_login_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_daily_login_email_discription_custom_id );
							$editor_id = 'mwb_wpr_daily_login_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_daily_login_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>	
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Order Amount Points Notification Settings(Per ', 'woocommerce-ultimate-points-and-rewards' ) . get_woocommerce_currency_symbol() . esc_html_e( ' Spent Points)', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_amount_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_amount_email_subject">
							<input type="text" name="mwb_wpr_amount_email_subject" value="<?php echo esc_html( $mwb_wpr_amount_email_subject ); ?>" id="mwb_wpr_amount_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_amount_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode in place of per currency spent points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Refer Points]';
					esc_html_e( ' in place of Referral points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Comment Points]';
					esc_html_e( 'in place of comment points and ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_amount_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_amount_email_discription_custom_id );
							$editor_id = 'mwb_wpr_amount_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_amount_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>	
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Referral Points Notification Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_referral_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_referral_email_subject">
							<input type="text" name="mwb_wpr_referral_email_subject" value="<?php echo esc_html( $mwb_wpr_referral_email_subject ); ?>" id="mwb_wpr_referral_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_referral_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode in place of Referral Points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Per Currency Spent Points]';
					esc_html_e( ' in place of per currency spent points', 'woocommerce-ultimate-points-and-rewards' );
					echo ' [Comment Points]';
					esc_html_e( ' in place of comment points and ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_referral_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_referral_email_discription_custom_id );
							$editor_id = 'mwb_wpr_referral_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_referral_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Referral Purchase Points Notification Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_referral_purchase_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_referral_purchase_email_subject">
							<input type="text" name="mwb_wpr_referral_purchase_email_subject" value="<?php echo esc_html( $mwb_wpr_referral_purchase_email_subject ); ?>" id="mwb_wpr_referral_purchase_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_referral_purchase_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Points]';
					esc_html_e( ' shortcode in place of Referral Purchase Points ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Refer Points]';
					esc_html_e( ' in place of Referral points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Comment Points]';
					esc_html_e( ' in place of comment points', 'woocommerce-ultimate-points-and-rewards' );
					echo ' [Per Currency Spent Points]';
					esc_html_e( ' in place of Per Currency spent points and ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[Total Points]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_referral_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_referral_purchase_email_discription_custom_id );
							$editor_id = 'mwb_wpr_referral_purchase_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_referral_purchase_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Upgrade Membership Level Notification', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_membership_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_membership_email_subject">
							<input type="text" name="mwb_wpr_membership_email_subject" value="<?php echo esc_html( $mwb_wpr_membership_email_subject ); ?>" id="mwb_wpr_membership_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_membership_email_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERLEVEL]';
					esc_html_e( ' shortcode in place of User Level ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_membership_email_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_membership_email_discription_custom_id );
							$editor_id = 'mwb_wpr_membership_email_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_membership_email_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Purchase Products through Points Notification', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_pro_pur_by_points_email_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_pro_pur_by_points_email_subject">
							<input type="text" name="mwb_wpr_pro_pur_by_points_email_subject" value="<?php echo esc_html( $mwb_wpr_pro_pur_by_points_email_subject ); ?>" id="mwb_wpr_pro_pur_by_points_email_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_pro_pur_by_points_discription_custom_id"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[PROPURPOINTS]';
					esc_html_e( ' shortcode in place of product purchasing points', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_pro_pur_by_points_discription_custom_id">
							<?php
							$content   = stripcslashes( $mwb_wpr_pro_pur_by_points_discription_custom_id );
							$editor_id = 'mwb_wpr_pro_pur_by_points_discription_custom_id';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_pro_pur_by_points_discription_custom_id',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Deduct Assigned Point Notification', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_deduct_assigned_point_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_deduct_assigned_point_subject">
							<input type="text" name="mwb_wpr_deduct_assigned_point_subject" value="<?php echo esc_html( $mwb_wpr_deduct_assigned_point_subject ); ?>" id="mwb_wpr_deduct_assigned_point_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_deduct_assigned_point_desciption"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[DEDUCTEDPOINT]';
					esc_html_e( ' shortcode in place of points which has been deducted ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Remaining Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_deduct_assigned_point_desciption">
							<?php
							$content   = stripcslashes( $mwb_wpr_deduct_assigned_point_desciption );
							$editor_id = 'mwb_wpr_deduct_assigned_point_desciption';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_deduct_assigned_point_desciption',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( "Deduct 'Per Currency Spent' Point Notification", 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_deduct_per_currency_point_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_deduct_per_currency_point_subject">
							<input type="text" name="mwb_wpr_deduct_per_currency_point_subject" value="<?php echo esc_html( $mwb_wpr_deduct_per_currency_point_subject ); ?>" id="mwb_wpr_deduct_per_currency_point_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_deduct_per_currency_point_description"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[DEDUCTEDPOINT]';
					esc_html_e( ' shortcode in place of points which has been deducted ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Remaining Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_deduct_per_currency_point_description">
							<?php
							$content   = stripcslashes( $mwb_wpr_deduct_per_currency_point_description );
							$editor_id = 'mwb_wpr_deduct_per_currency_point_description';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_deduct_per_currency_point_description',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( "Return  'Product Purchase through Point' Notification", 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_deduct_per_currency_point_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_return_pro_pur_subject">
							<input type="text" name="mwb_wpr_return_pro_pur_subject" value="<?php echo esc_html( $mwb_wpr_return_pro_pur_subject ); ?>" id="mwb_wpr_return_pro_pur_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_return_pro_pur_description"><?php wp_kses_post( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[RETURNPOINT]';
					esc_html_e( ' shortcode in place of points which has been returned ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Remaining Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_return_pro_pur_description">
							<?php
							$content   = stripcslashes( $mwb_wpr_return_pro_pur_description );
							$editor_id = 'mwb_wpr_return_pro_pur_description';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_new_woo_ver_style_textarea',
								'textarea_name'    => 'mwb_wpr_return_pro_pur_description',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Point Sharing Notification', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_point_sharing_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_point_sharing_subject">
							<input type="text" name="mwb_wpr_point_sharing_subject" value="<?php echo esc_html( $mwb_wpr_point_sharing_subject ); ?>" id="mwb_wpr_point_sharing_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_point_sharing_description"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[RECEIVEDPOINT]';
					esc_html_e( ' shortcode in place of points which has been received ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[SENDEREMAIL]';
					esc_html_e( ' shortcode in place of email id of Sender', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_point_sharing_description">
							<?php
							$content   = stripcslashes( $mwb_wpr_point_sharing_description );
							$editor_id = 'mwb_wpr_point_sharing_description';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_point_sharing_description',
								'textarea_name'    => 'mwb_wpr_point_sharing_description',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
		<div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Points On Cart Sub-Total', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_point_on_cart_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_point_on_cart_subject">
							<input type="text" name="mwb_wpr_point_on_cart_subject" value="<?php echo esc_html( $mwb_wpr_point_on_cart_subject ); ?>" id="mwb_wpr_point_on_cart_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_point_on_cart_desc"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[DEDUCTCARTPOINT]';
					esc_html_e( ' shortcode in place of points which has been deducted ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_point_on_cart_desc">
							<?php
							$content   = stripcslashes( $mwb_wpr_point_on_cart_desc );
							$editor_id = 'mwb_wpr_point_on_cart_desc';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_point_on_cart_desc',
								'textarea_name'    => 'mwb_wpr_point_on_cart_desc',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>

		</div><div class="mwb_wpr_email_wrapper">
			<div class="mwb_wpr_email_wrapper_text" >
				<h2><?php esc_html_e( 'Points On Order Total Range', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
			</div>
			<div class="mwb_wpr_email_wrapper_content" style="display:none">
				<table class="form-table mwb_wpr_notificatin_tab mwp_wpr_settings">
				<tbody>	
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_point_on_order_total_range_subject"><?php esc_html_e( 'Email Subject', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
					</th>
					<td class="forminp forminp-text">
						<?php
						$attribute_description = __( 'Input subject for email.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
						<label for="mwb_wpr_point_on_order_total_range_subject">
							<input type="text" name="mwb_wpr_point_on_order_total_range_subject" value="<?php echo esc_html( $mwb_wpr_point_on_order_total_range_subject ); ?>" id="mwb_wpr_point_on_order_total_range_subject" class="input-text mwb_wpr_new_woo_ver_style_text"> 
						</label>						
					</td>
				</tr>
				<tr valign="top">
					<th scope="row" class="titledesc">
						<label for="mwb_wpr_point_on_order_total_range_desc"><?php esc_html_e( 'Email Description', 'woocommerce-ultimate-points-and-rewards' ); ?></label>
						<?php
						$attribute_description = __( 'Enter Email Description for user.', 'woocommerce-ultimate-points-and-rewards' );
						echo wp_kses_post( wc_help_tip( $attribute_description ) );
						?>
					</th>
					<td class="forminp forminp-text">
					<?php
					esc_html_e( 'Use ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[ORDERTOTALPOINT]';
					esc_html_e( ' shortcode in place of points which has been added ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[USERNAME]';
					esc_html_e( ' shortcode in place of username ', 'woocommerce-ultimate-points-and-rewards' );
					echo '[TOTALPOINTS]';
					esc_html_e( ' shortcode in place of Total Points.', 'woocommerce-ultimate-points-and-rewards' );
					?>
						<label for="mwb_wpr_point_on_order_total_range_desc">
							<?php
							$content   = stripcslashes( $mwb_wpr_point_on_order_total_range_desc );
							$editor_id = 'mwb_wpr_point_on_order_total_range_desc';
							$settings  = array(
								'media_buttons'    => false,
								'drag_drop_upload' => true,
								'dfw'              => true,
								'teeny'            => true,
								'editor_height'    => 200,
								'editor_class'     => 'mwb_wpr_point_on_order_total_range_desc',
								'textarea_name'    => 'mwb_wpr_point_on_order_total_range_desc',
							);
							wp_editor( $content, $editor_id, $settings );
							?>
						</label>						
					</td>
				</tr>
				</tbody>
				</table>
			</div>
		</div>
	</tbody>
</table>
</div>
<div class="clear"></div>
<p class="submit">
	<input type="hidden" name="mwb_wpr_email_nonce" value="<?php echo esc_html( wp_create_nonce( 'mwb-wpr-email-nonce' ) ); ?>">
	<input type="submit" value='<?php esc_html_e( 'Save changes', 'woocommerce-ultimate-points-and-rewards' ); ?>' class="button-primary woocommerce-save-button mwb_wpr_save_changes" name="mwb_wpr_save_notification">
</p>	
