<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link  https://makewebbetter.com/
 * @since 1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$generaltab                 = '';
$pointstab                  = '';
$couponstab                 = '';
$notification__tab          = '';
$othersettingtab            = '';
$ordertotaltab              = '';
$ordertotaltabactive        = '';
$pointsexpirationtab        = '';
$licensetab                 = '';
$propurchasepointstab       = '';
$generaltabactive           = false;
$pointstabactive            = false;
$couponstabactive           = false;
$notification__tab          = false;
$membershiptab              = false;
$propointstab               = false;
$propurchasepointstab       = false;
$propurchasepointstabactive = false;
$propointsactivetab         = false;
$notification_tab_active    = false;
$membershiptabactive        = false;
$othersettingtabactive      = false;
$pointsexpirationtabactive  = false;
$licensetabactive           = false;
$new_addon                  = false;
$new_addonactive            = false;

if ( isset( $_GET['tab'] ) && ! empty( $_GET['tab'] ) ) {
	$wps_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : '';//phpcs:ignore.
	if ( 'mwb_wpr_general_setting' === $wps_tab ) {
		$generaltab       = 'nav-tab-active';
		$generaltabactive = true;
	}
	if ( 'mwb_wpr_points_table' === $wps_tab ) {
		$pointstab       = 'nav-tab-active';
		$pointstabactive = true;
	}
	if ( 'mwb_wpr_coupons_tab' === $wps_tab ) {
		$couponstab       = 'nav-tab-active';
		$couponstabactive = true;
	}
	if ( 'mwb_wpr_notificatin_tab' === $wps_tab ) {
		$notification__tab       = 'nav-tab-active';
		$notification_tab_active = true;
	}
	if ( 'mwb_wpr_membership_tab' === $wps_tab ) {
		$membershiptab       = 'nav-tab-active';
		$membershiptabactive = true;
	}
	if ( 'mwb_wpr_pro_points_tab' === $wps_tab ) {
		$propointstab       = 'nav-tab-active';
		$propointsactivetab = true;
	}
	if ( 'mwb_wpr_purchase_points_only' === $wps_tab ) {
		$propurchasepointstab       = 'nav-tab-active';
		$propurchasepointstabactive = true;
	}
	if ( 'mwb_wpr_othersetting_tab' === $wps_tab ) {
		$othersettingtab       = 'nav-tab-active';
		$othersettingtabactive = true;
	}
	if ( 'mwb_wpr_point_expiration_tab' === $wps_tab ) {
		$pointsexpirationtab       = 'nav-tab-active';
		$pointsexpirationtabactive = true;
	}
	if ( 'mwb_validate_license' === $wps_tab ) {
		$licensetab       = 'nav-tab-active';
		$licensetabactive = true;
	}
	if ( 'mwb_wpr_new_addon' === $wps_tab ) {
		$new_addon       = 'nav-tab-active';
		$new_addonactive = true;
	}
	if ( 'mwb_wpr_ordertotalsetting_tab' === $wps_tab ) {
		$ordertotaltab       = 'nav-tab-active';
		$ordertotaltabactive = true;
	}
}

if ( empty( $wps_tab ) ) {

	$generaltab       = 'nav-tab-active';
	$generaltabactive = true;
}

$mwb_wpr_activated_time  = get_option( 'mwb_wpr_activation_date_time', false );
$mwb_wpr_after_month     = strtotime( '+ 30 days', $mwb_wpr_activated_time );
$mwb_wpr_currenttime     = current_time( 'timestamp' );
$mwb_wpr_time_difference = $mwb_wpr_after_month - $mwb_wpr_currenttime;
$mwb_wpr_days_left       = floor( $mwb_wpr_time_difference / ( 60 * 60 * 24 ) );

if ( ! get_option( 'mwb_wpr_plugin_verified' ) ) {
	$mwb_wpr_msg = esc_html__( 'Activate the License Key before ', 'woocommerce-ultimate-points-and-rewards' );
	?>
	<div class="update-nag">
		<?php echo '<strong>' . esc_html( $mwb_wpr_msg ); ?><a href="<?php get_admin_url(); ?>admin.php?page=mwb-wpr-setting&tab=mwb_validate_license"><?php echo esc_html( $mwb_wpr_days_left ); ?></a><?php esc_html_e( ' days of activation - You might risk losing data by then, and you will not be able to use the plugin !', 'woocommerce-ultimate-points-and-rewards' ); ?><a href="<?php get_admin_url(); ?>admin.php?page=mwb-wpr-setting&tab=mwb_validate_license"><?php esc_html_e( ' Activate now ', 'woocommerce-ultimate-points-and-rewards' ); //phpcs:ignore. ?></strong></a>
	</div>
	<?php
}
?>

<div class="wrap woocommerce" id="mwb_wpr_settings_wrapper">
	<div style="display: none;" class="loading-style-bg" id="mwb_wpr_loader">
		<img src="<?php echo esc_url( MWB_WPR_URL ); // phpcs:ignoreFile. ?>/assets/images/loading.gif">
	</div>
	<form enctype="multipart/form-data" action="" id="mainform" method="post">
		<div class="mwb_wpr_dashboard_plugin_name">
			<h1 class="mwb_wpr_setting"><?php esc_html_e( 'Points and Rewards Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></h1>
			<div><?php echo esc_html( 'v' . MWB_WPR_PLUGIN_VERSION ); ?></div>
		</div>
		<nav class="nav-tab-wrapper woo-nav-tab-wrapper" id="mwb_wpr_nav_tab">
			<a class="nav-tab <?php echo esc_html( $generaltab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_general_setting"><?php esc_html_e( 'General', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $couponstab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_coupons_tab"><?php esc_html_e( 'Coupon Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $pointstab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_points_table"><?php esc_html_e( 'Points Table', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $notification__tab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_notificatin_tab"><?php esc_html_e( 'Points Notification', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $membershiptab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_membership_tab"><?php esc_html_e( 'Membership', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $propointstab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_pro_points_tab"><?php esc_html_e( 'Assign Product Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $propurchasepointstab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_purchase_points_only"><?php esc_html_e( 'Product Purchase Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $othersettingtab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_othersetting_tab"><?php esc_html_e( 'Other Settings', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $ordertotaltab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_ordertotalsetting_tab"><?php esc_html_e( 'Order Total Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<a class="nav-tab <?php echo esc_html( $pointsexpirationtab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_point_expiration_tab"><?php esc_html_e( 'Points Expiration', 'woocommerce-ultimate-points-and-rewards' ); ?></a>				
			<a class="nav-tab <?php echo esc_html( $new_addon ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_wpr_new_addon"><?php esc_html_e( 'Addons', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
			<?php
			if ( ! get_option( 'mwb_wpr_plugin_verified', false ) ) {
				?>
				<a class="nav-tab <?php echo esc_html( $licensetab ); ?>" href="<?php echo esc_url( MWB_WPR_HOME_URL ); ?>admin.php?page=mwb-wpr-setting&tab=mwb_validate_license"><?php esc_html_e( 'Add License', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
				<?php
			}
			do_action( 'mwb_wpr_setting_tab' );
			?>
		
		</nav>
		<?php
		if ( true == $generaltabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-general-settings.php';
		}
		if ( true == $pointstabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/class-mwb-points-table.php';
		}
		if ( true == $couponstabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-coupon-settings.php';
		}
		if ( true == $notification_tab_active ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-points-notification-settings.php';
		}
		if ( true == $membershiptabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-membership-settings.php';
		}
		if ( true == $propointsactivetab ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-assign-pro-points.php';
		}
		if ( true == $propurchasepointstabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-purchase-points-only.php';
		}
		if ( true == $othersettingtabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-other-setting.php';
		}
		if ( true == $pointsexpirationtabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-point-expiration.php';
		}
		if ( true == $licensetabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-license-verify.php';
		}
		if ( true == $new_addonactive ) {

			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-addon.php';
		}
		if ( true == $ordertotaltabactive ) {
			include_once MWB_WPR_DIRPATH . '/includes/admin/settings/templates/mwb-order-total.php';
		}
		?>
	</form>
</div>
