<?php
/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 * @subpackage Woocommerce_Ultimate_Points_And_Rewards/public
 */

use Elementor\App\App;

/*  Popup Style */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
//phpcs:disable.
$get_bg_color = get_option( 'notify_user_wp_color', '#ffffff' );
?>
<style type="text/css">
	.mwb-pr-popup-tab-wrapper .tab-link:after {
		background-color: <?php echo esc_html( $get_bg_color ); ?> !important;
		border: 1px solid <?php echo esc_html( $get_bg_color ); ?> !important;
	}

	.mwb-pr-popup-tab-wrapper .tab-link {
	color: <?php echo esc_html( $get_bg_color ); ?>;
	}

	.mwb-pr-popup-tab-wrapper .tab-link.active {
	border: 1px solid <?php echo esc_html( $get_bg_color ); ?> !important;
	color: #ffffff !important;
	}

	.mwb-pr-popup-rewards-right-content a {
	color: <?php echo esc_html( $get_bg_color ); ?>;
	}

	.mwb-pr-close-btn:hover {
	color: #ffffff !important;
	background-color: <?php echo esc_html( $get_bg_color ); ?>;
	}

	.mwb-pr-popup-rewards-right-content a:hover {
	color: <?php echo esc_html( $get_bg_color ); ?>;
	opacity: .75;
	}    
</style>

<?php
$get_bg_color       = get_option( 'notify_user_wp_color', '#ffffff' );
$is_mwb_wpr_enabled = is_mwb_wpr_enabled();
$get_points         = 0;
$is_left            = get_option( 'notify_user_enable_left_btn', 'no' );

if ( 'yes' == $is_left ) {
	$position = 'left: 10px !important';
} else {
	$position = 'right: 10px !important';
}

if ( get_option( 'notify_user_enable', true ) && $is_mwb_wpr_enabled ) {

	$user_id = get_current_user_ID();
	if ( is_user_logged_in() ) {

		$mwb_guest_user = false;
		if ( isset( $user_id ) && ! empty( $user_id ) ) {
			$get_points = (int) get_user_meta( $user_id, 'mwb_wpr_points', true );
		}
	} else {
		$mwb_guest_user = true;
	}

	$order_conversion_rate           = order_conversion_rate();
	$referral_link                   = get_referral_link( $user_id );
	$site_url                        = site_url();
	$purchase_product_using_pnt_rate = purchase_product_using_pnt_rate();
	$apply_point_on_cart_rate        = apply_point_on_cart_rate();
	$convert_points_to_coupons_rate  = convert_points_to_coupons_rate();
	?>

	<a href="javascript:;" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--colored modal__trigger mwb-pr-drag-btn" style="background-color: <?php echo esc_html( $get_bg_color ); ?> <?php echo ';' . esc_html( $position ); ?> " data-modal="#modal" id="mwb-mwb-pr-drag"><?php echo esc_html__( 'Notify Me', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
		<div id="modal" class="modal modal__bg">
			<div class="modal__dialog mwb-pr-dialog">
				<div class="modal__content">
					<div class="modal__header">
						<div class="modal__title">
							<h2 class="modal__title-text"><?php esc_html_e( 'How to Earn More!', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
						</div>
						<span class="mdl-button mdl-button--icon mdl-js-button  material-icons  modal__close"></span>
					</div>
					<div class="modal__text mwb-pr-popup-text">
						<div class="mwb-pr-popup-body">
							<div class="mwb-popup-points-label">
								<h6><?php esc_html_e( 'Total Point: ', 'woocommerce-ultimate-points-and-rewards' ); ?><?php echo esc_html( $get_points ); ?></h6>
							</div>
							<div class="mwb-pr-popup-tab-wrapper">
								<a class="tab-link active" id ="notify_user_gain_tab" href="javascript:;"><?php esc_html_e( 'Gain Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
								<a class="tab-link" href="javascript:;" id="notify_user_redeem"><?php esc_html_e( 'Redeem Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
							</div>
							<!--mwb-pr-popup- rewards tab-container-->
							<div class="mwb-pr-popup-tab-container active" id="notify_user_earn_more_section">
								<ul class="mwb-pr-popup-tab-listing mwb-pr-popup-rewards-tab-listing">
									<?php if ( is_signup_enabled() && ! is_user_logged_in() ) { ?>
										<li>
											<div class="mwb-pr-popup-left-rewards">
												<div class="mwb-pr-popup-rewards-icon">
													<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
												</div>
												<div class="mwb-pr-popup-rewards-left-content">
													<h6><?php esc_html_e( 'Register Your Self and Earn', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
													<span>
													<?php
													echo wp_kses_post( get_signup_value() );
													esc_html_e( ' Points', 'woocommerce-ultimate-points-and-rewards' );
													?>
													</span>
												</div>
											</div>
											<div class="mwb-pr-popup-right-rewards">
												<div class="mwb-pr-popup-rewards-right-content">
													<span><a href="<?php echo wp_kses_post( wc_get_page_permalink( 'myaccount' ) ); ?>"><?php esc_html_e( 'Go for Signup', 'woocommerce-ultimate-points-and-rewards' ); ?></a></span>
												</div>
											</div>
										</li>
										<?php
									}
									if ( is_order_conversion_enabled() ) {
										?>
											<li>
												<div class="mwb-pr-popup-left-rewards">
													<div class="mwb-pr-popup-rewards-icon">
														<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/shopping-cart.png'; ?>" alt="">
													</div>
													<div class="mwb-pr-popup-rewards-left-content">
														<?php esc_html_e( 'Place The Order and Earn Points', 'woocommerce-ultimate-points-and-rewards' ); ?>                        
														<span>
															<?php
															esc_html_e( 'Earn ', 'woocommerce-ultimate-points-and-rewards' );
															echo wp_kses_post( $order_conversion_rate['Points'] );
															esc_html_e( ' Points on every ', 'woocommerce-ultimate-points-and-rewards' );
															echo wp_kses_post( value_return_in_currency( apply_filters( 'mwb_par_show_conversion_price', $order_conversion_rate['Value'] ) ) );
															esc_html_e( ' spent', 'woocommerce-ultimate-points-and-rewards' );
															?>
														</span>
													</div>
												</div>
												<div class="mwb-pr-popup-right-rewards">
													<div class="mwb-pr-popup-rewards-right-content">
														<span><a href="<?php echo wp_kses_post( wc_get_page_permalink( 'shop' ) ); ?>"><?php esc_html_e( 'Go for Shop', 'woocommerce-ultimate-points-and-rewards' ); ?></a></span>
													</div>
												</div>
											</li>
										<?php
									}
									if ( is_review_reward_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-popup-left-rewards">
												<div class="mwb-pr-popup-rewards-icon">
													<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
												</div>
												<div class="mwb-pr-popup-rewards-left-content">
													<h6><?php esc_html_e( 'Write Review ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
													<span>
														<?php
														esc_html_e( 'Reward is: ', 'woocommerce-ultimate-points-and-rewards' );
														echo wp_kses_post( reward_review() );
														esc_html_e( ' Point', 'woocommerce-ultimate-points-and-rewards' );
														?>
													</span>
												</div>
											</div>
											<div class="mwb-pr-popup-right-rewards">
												<div class="mwb-pr-popup-rewards-right-content">
												</div>
											</div>
										</li>
										<?php
									}
									if ( is_referral_is_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-popup-left-rewards">
												<div class="mwb-pr-popup-rewards-icon">
													<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
												</div>
												<?php
												if ( ! is_only_referral_purchase_enabled() ) {
													?>
													<div class="mwb-pr-popup-rewards-left-content">
														<h6><?php esc_html_e( 'Refer Someone', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
														<span>
															<?php
															esc_html_e( 'Reward is: ', 'woocommerce-ultimate-points-and-rewards' );
															echo wp_kses_post( reward_review() );
															esc_html_e( ' Point', 'woocommerce-ultimate-points-and-rewards' );
															?>
														</span>
													</div>
													<?php
												} else {
													?>
													<div class="mwb-pr-popup-rewards-left-content">
														<h6><?php esc_html_e( 'Referral Link', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
														<span><?php esc_html_e( 'Share this link and get reward on their purchase only ', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
													</div>
													<?php
												}
												?>
											</div>
											<?php
											if ( ! $mwb_guest_user ) {
												?>
												<div class="mwb-pr-popup-right-rewards mwb-pr-popup-right-rewards--login">
													<div class="mwb-pr-popup-rewards-right-content">
														<span id="mwb_notify_user_copy"><?php echo wp_kses_post( $site_url . '?pkey=' . $referral_link ); ?></span>
													</div>
													<div class="mwb-pr-popup-rewards-right-content">
														<button class="mwb_wpr_btn_copy mwb_tooltip" data-clipboard-target="#mwb_notify_user_copy" aria-label="copied">
														<span class="mwb_tooltiptext"><?php esc_html_e( 'Copy', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
														<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/copy.png'; ?>" alt="Copy to clipboard"></button>
													</div>
												</div>
												<?php
											}
											?>
										</li>
										<?php
									}
									if ( is_referral_purchase_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-popup-left-rewards">
												<div class="mwb-pr-popup-rewards-icon">
													<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
												</div>
												<div class="mwb-pr-popup-rewards-left-content">
													<h6><?php esc_html_e( 'Earn on Someonelse Purchasing ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
													<span>
														<?php
														esc_html_e( 'Reward is: ', 'woocommerce-ultimate-points-and-rewards' );
														echo wp_kses_post( get_referral_purchase_reward() );
														esc_html_e( ' Point', 'woocommerce-ultimate-points-and-rewards' );
														?>
													</span>
												</div>
											</div>
											<div class="mwb-pr-popup-right-rewards">
												<div class="mwb-pr-popup-rewards-right-content">
												</div>
											</div>
										</li>
										<?php
									}
									if ( ! is_signup_enabled() && ! is_order_conversion_enabled() && ! is_review_reward_enabled() && ! is_referral_purchase_enabled() && ! is_referral_is_enabled() ) {
										?>
											<li>
												<div class="mwb-pr-popup-left-rewards">
													<div class="mwb-pr-popup-rewards-icon">
													</div>
													<div class="mwb-pr-popup-rewards-left-content">
														<h6><?php esc_html_e( 'No Features Are Available Right Now! ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
													</div>
												</div>
												<div class="mwb-pr-popup-right-rewards">
													<div class="mwb-pr-popup-rewards-right-content">
													</div>
												</div>
											</li>
										<?php
									}
									?>
								</ul>
							</div>

							<!--mwb-pr-popup- rewards tab-container-->
							<!--mwb-pr-popup- earn more tab-container-->

							<div class="mwb-pr-popup-tab-container" id="notify_user_redeem_section">
								<ul class="mwb-pr-popup-tab-listing">
									<?php
									if ( is_purchase_product_using_points_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-tab-popup-icon">
												<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/shopping-cart.png'; ?>" alt="">
											</div>
											<div class="mwb-pr-tab-popup-content">
												<h6><?php esc_html_e( 'Redeem Points on Particluar Products', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
												<p>
													<?php
													esc_html_e( 'Conversion Rule: ', 'woocommerce-ultimate-points-and-rewards' );
													echo wp_kses_post( return_conversion_rate( $purchase_product_using_pnt_rate['Points'], apply_filters( 'mwb_par_show_conversion_price', $purchase_product_using_pnt_rate['Currency'] ) ) );
													?>
												</p>
											</div>
										</li>
										<?php
									}
									if ( is_apply_point_on_cart_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-tab-popup-icon">
												<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/shopping-cart.png'; ?>" alt="">
											</div>
											<div class="mwb-pr-tab-popup-content">
												<h6><?php esc_html_e( 'Apply Points on Cart Total', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
												<p>
													<?php
													esc_html_e( 'Conversion Rule: ', 'woocommerce-ultimate-points-and-rewards' );
													echo wp_kses_post( return_conversion_rate( $apply_point_on_cart_rate['Points'], apply_filters( 'mwb_par_show_conversion_price', $apply_point_on_cart_rate['Currency'] ) ) );
													?>
												</p>
											</div>
										</li>
										<?php
									}
									if ( is_convert_points_to_coupon_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-tab-popup-icon">
												<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
											</div>
											<div class="mwb-pr-tab-popup-content">
												<h6><?php esc_html_e( 'Convert Points into Coupons', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
												<p>
													<?php
													esc_html_e( 'Conversion Rule: ', 'woocommerce-ultimate-points-and-rewards' );
													echo wp_kses_post( return_conversion_rate( $convert_points_to_coupons_rate['Points'], apply_filters( 'mwb_par_show_conversion_price', $convert_points_to_coupons_rate['Currency'] ) ) );
													?>
												</p>
											</div>
										</li>
										<?php
									}
									if ( ! is_convert_points_to_coupon_enabled() && ! is_apply_point_on_cart_enabled() && ! is_purchase_product_using_points_enabled() ) {
										?>
										<li>
											<div class="mwb-pr-popup-left-rewards">
												<div class="mwb-pr-popup-rewards-icon">
												</div>
												<div class="mwb-pr-popup-rewards-left-content">
													<h6><?php esc_html_e( 'No Features Are Available Right Now! ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
												</div>
											</div>
											<div class="mwb-pr-popup-right-rewards">
												<div class="mwb-pr-popup-rewards-right-content">
												</div>
											</div>
										</li>
										<?php
									}
									?>
								</ul>
							</div>
						</div><!--mwb-pr-popup-body-->
					</div>
					<div class="modal__footer mwb-pr-footer">
						<a class="mdl-button mdl-button--colored mdl-js-button  modal__close mwb-pr-close-btn" style="border-color: <?php echo esc_html( $get_bg_color ); ?>; color:<?php echo esc_html( $get_bg_color ); ?>"> <?php esc_html_e( 'Close', 'woocommerce-ultimate-points-and-rewards' ); ?>
						</a>
					</div>
				</div>
			</div>
		</div>

	<!--=====================================
	=            for mobile view            =
	======================================-->

	<div class="mwb-pr-mobile-popup-main-container">
		<div class="mwb-pr-mobile-popup-wrapper">
			<div class="mwb-pr-popup-body">
				<?php
				if ( is_user_logged_in() ) {
					?>
					<div class="mwb-popup-points-label">
						<h6><?php esc_html_e( 'Total Point: ', 'woocommerce-ultimate-points-and-rewards' ); ?><?php echo esc_html( $get_points ); ?></h6>
					</div>
					<?php
				}
				?>
				<div class="mwb-pr-popup-tab-wrapper">
					<a class="tab-link active" id ="notify_user_gain_tab_mobile" href="javascript:;"><?php esc_html_e( 'Gain Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
					<a class="tab-link" href="javascript:;" id="notify_user_redeem_mobile"><?php esc_html_e( 'Redeem Points', 'woocommerce-ultimate-points-and-rewards' ); ?></a>
				</div>

				<!--mwb-pr-popup- rewards tab-container-->
				<div class="mwb-pr-popup-tab-container active" id="notify_user_earn_more_section_mobile">
					<ul class="mwb-pr-popup-tab-listing mwb-pr-popup-rewards-tab-listing">
						<?php
						if ( is_signup_enabled() && ! is_user_logged_in() ) {
							?>
							<li>
								<div class="mwb-pr-popup-left-rewards">
									<div class="mwb-pr-popup-rewards-icon">
										<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
									</div>
									
										<div class="mwb-pr-popup-rewards-left-content">
											<h6><?php esc_html_e( 'Register Your Self and Earn', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
											<span>
											<?php
											echo wp_kses_post( get_signup_value() );
											esc_html_e( ' Points', 'woocommerce-ultimate-points-and-rewards' );
											?>
											</span>
										</div>
								</div>
								<div class="mwb-pr-popup-right-rewards">
									<div class="mwb-pr-popup-rewards-right-content">
										<span><a href="<?php echo wp_kses_post( wc_get_page_permalink( 'myaccount' ) ); ?>"><?php esc_html_e( 'Go for Signup', 'woocommerce-ultimate-points-and-rewards' ); ?></a></span>
									</div>
								</div>
							</li>
							<?php
						}
						if ( is_order_conversion_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-popup-left-rewards">
									<div class="mwb-pr-popup-rewards-icon">
										<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/shopping-cart.png'; ?>" alt="">
									</div>
									<div class="mwb-pr-popup-rewards-left-content">
									<?php esc_html_e( 'Place The Order and Earn Points', 'woocommerce-ultimate-points-and-rewards' ); ?>
										<span>
										<?php
											esc_html_e( 'Earn ', 'woocommerce-ultimate-points-and-rewards' );
											echo wp_kses_post( $order_conversion_rate['Points'] );
											esc_html_e( ' Points on every ', 'woocommerce-ultimate-points-and-rewards' );
											echo wp_kses_post( value_return_in_currency( apply_filters( 'mwb_par_show_conversion_price', $order_conversion_rate['Value'] ) ) );
											esc_html_e( ' spent', 'woocommerce-ultimate-points-and-rewards' );
										?>
										</span>
									</div>
								</div>
								<div class="mwb-pr-popup-right-rewards">
									<div class="mwb-pr-popup-rewards-right-content">
										<span><a href="<?php echo wp_kses_post( wc_get_page_permalink( 'shop' ) ); ?>"><?php esc_html_e( 'Go for Shop', 'woocommerce-ultimate-points-and-rewards' ); ?></a></span>
									</div>
								</div>
							</li>
							<?php
						}
						?>
						
						<?php
						if ( is_referral_is_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-popup-left-rewards">
									<div class="mwb-pr-popup-rewards-icon">
										<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
									</div>
									<?php
									if ( ! is_only_referral_purchase_enabled() ) {
										?>
										<div class="mwb-pr-popup-rewards-left-content">
											<h6><?php esc_html_e( 'Refer Someone', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
											<span>
												<?php
												esc_html_e( 'Reward is: ', 'woocommerce-ultimate-points-and-rewards' );
												echo wp_kses_post( reward_review() );
												esc_html_e( ' Point', 'woocommerce-ultimate-points-and-rewards' );
												?>
											</span>
										</div>
										<?php
									} else {
										?>
										<div class="mwb-pr-popup-rewards-left-content">
											<h6><?php esc_html_e( 'Refer Link', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
											<span><?php esc_html_e( 'Share this link and get reward on their purchase only ', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
										</div>
										<?php
									}
									?>
								</div>
								<?php
								if ( ! $mwb_guest_user ) {
									?>
									<div class="mwb-pr-popup-right-rewards mwb-pr-popup-right-rewards--login">
										<div class="mwb-pr-popup-rewards-right-content">
											<span id="mwb_notify_user_copy"><?php echo wp_kses_post( $site_url . '?pkey=' . $referral_link ); ?></span>
										</div>
										<div class="mwb-pr-popup-rewards-right-content">
											<button class="mwb_wpr_btn_copy mwb_tooltip" data-clipboard-target="#mwb_notify_user_copy" aria-label="copied">
											<span class="mwb_tooltiptext"><?php esc_html_e( 'Copy', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
											<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/copy.png'; ?>" alt="Copy to clipboard"></button>
										</div>
									</div>
									<?php
								}
								?>
							</li>
							<?php
						}
						if ( is_referral_purchase_enabled() ) {
							?>
								<li>
								<div class="mwb-pr-popup-left-rewards">
									<div class="mwb-pr-popup-rewards-icon">
										<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
									</div>
									<div class="mwb-pr-popup-rewards-left-content">
										<h6><?php esc_html_e( 'Earn on Somenelse Purchasing ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
										<span>
											<?php
											esc_html_e( 'Reward is: ', 'woocommerce-ultimate-points-and-rewards' );
											echo wp_kses_post( get_referral_purchase_reward() );
											esc_html_e( ' Point', 'woocommerce-ultimate-points-and-rewards' );
											?>
										</span>
									</div>
								</div>
								<div class="mwb-pr-popup-right-rewards">
									<div class="mwb-pr-popup-rewards-right-content">
									<!--  <span>you need 350more poins</span> -->
									</div>
								</div>
							</li>
							<?php
						}
						if ( ! is_signup_enabled() && ! is_order_conversion_enabled() && ! is_review_reward_enabled() && ! is_referral_purchase_enabled() && ! is_referral_is_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-popup-left-rewards">
									<div class="mwb-pr-popup-rewards-icon">
									</div>
									<div class="mwb-pr-popup-rewards-left-content">
										<h6><?php esc_html_e( 'No Features Are Available Right Now! ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
									</div>
								</div>
								<div class="mwb-pr-popup-right-rewards">
									<div class="mwb-pr-popup-rewards-right-content">
									</div>
								</div>
							</li>
							<?php
						}
						?>
					</ul>
				</div>

				<div class="mwb-pr-popup-tab-container" id="notify_user_redeem_section_mobile">
					<ul class="mwb-pr-popup-tab-listing">
						<?php
						if ( is_purchase_product_using_points_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-tab-popup-icon">
									<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/shopping-cart.png'; ?>" alt="">
								</div>
								<div class="mwb-pr-tab-popup-content">
									<h6><?php esc_html_e( 'Redeem Points on Particluar Products', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
									<p>
									<?php
									esc_html_e( 'Conversion Rule: ', 'woocommerce-ultimate-points-and-rewards' );
									echo wp_kses_post( return_conversion_rate( $purchase_product_using_pnt_rate['Points'], apply_filters( 'mwb_par_show_conversion_price', $purchase_product_using_pnt_rate['Currency'] ) ) );
									?>
									</p>
								</div>
							</li>
							<?php
						}
						if ( is_apply_point_on_cart_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-tab-popup-icon">
									<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/shopping-cart.png'; ?>" alt="image">
								</div>
								<div class="mwb-pr-tab-popup-content">
									<h6><?php esc_html_e( 'Apply Points on Cart Total', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
									<p>
									<?php
									esc_html_e( 'Conversion Rule: ', 'woocommerce-ultimate-points-and-rewards' );
									echo wp_kses_post( return_conversion_rate( $apply_point_on_cart_rate['Points'], apply_filters( 'mwb_par_show_conversion_price', $apply_point_on_cart_rate['Currency'] ) ) );
									?>
									</p>
								</div>
							</li>
							<?php
						}
						if ( is_convert_points_to_coupon_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-tab-popup-icon">
									<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) ) . 'images/voucher.png'; ?>" alt="">
								</div>
								<div class="mwb-pr-tab-popup-content">
									<h6><?php esc_html_e( 'Convert Points into Coupons', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
									<p>
									<?php
									esc_html_e( 'Conversion Rule: ', 'woocommerce-ultimate-points-and-rewards' );
									echo wp_kses_post( return_conversion_rate( $convert_points_to_coupons_rate['Points'], apply_filters( 'mwb_par_show_conversion_price', $convert_points_to_coupons_rate['Currency'] ) ) );
									?>
									</p>
								</div>
							</li>
							<?php
						}
						if ( ! is_convert_points_to_coupon_enabled() && ! is_apply_point_on_cart_enabled() && ! is_purchase_product_using_points_enabled() ) {
							?>
							<li>
								<div class="mwb-pr-popup-left-rewards">
									<div class="mwb-pr-popup-rewards-icon">
									</div>
									<div class="mwb-pr-popup-rewards-left-content">
										<h6><?php esc_html_e( 'No Features Are Available Right Now! ', 'woocommerce-ultimate-points-and-rewards' ); ?></h6>
									</div>
								</div>
								<div class="mwb-pr-popup-right-rewards">
									<div class="mwb-pr-popup-rewards-right-content">
									</div>
								</div>
							</li>
							<?php
						}
						?>
					</ul>
				</div>
			</div><!--mwb-pr-popup-body-->
		</div>
	</div>
	<span id="mwb-pr-mobile-open-popup" style="background-color: <?php echo esc_html( $get_bg_color ); ?><?php echo ';' . esc_html( $position ); ?>" class="mwb-pr-mobile-open-popup"><?php esc_html_e( 'Reward', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
	<span id="mwb-pr-mobile-close-popup" style="background-color: <?php echo esc_html( $get_bg_color ); ?> <?php echo ';' . esc_html( $position ); ?>" class="mwb-pr-mobile-open-popup close"><?php esc_html_e( 'Reward', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
	<?php
}
