<?php
/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Ultimate_Points_And_Rewards
 * @subpackage Woocommerce_Ultimate_Points_And_Rewards/public
 */

$user_id = $user_ID;
if ( isset( $user_id ) && '' !== $user_id && is_numeric( $user_id ) ) {
	$point_log    = get_user_meta( $user_id, 'points_details', true );
	$total_points = get_user_meta( $user_id, 'mwb_wpr_points', true );
	if ( isset( $point_log ) && is_array( $point_log ) && null !== $point_log ) {
		?>
		<h2><?php esc_html_e( ' Point Log Table', 'woocommerce-ultimate-points-and-rewards' ); ?></h2>
		<table class="woocommerce-MyAccount-points shop_table my_account_points account-points-table mwb_wpr_table_view_log">
				<thead>
					<tr>
						<th class="view-log-Date">
							<span class="nobr"><?php echo esc_html_e( 'Date', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
						</th>
						<th class="view-log-Status">
							<span class="nobr"><?php echo esc_html_e( 'Point Status', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
						</th>
						<th class="view-log-Activity">
							<span class="nobr"><?php echo esc_html_e( 'Activity', 'woocommerce-ultimate-points-and-rewards' ); ?></span>
						</th>
					</tr>
				</thead>
		</table>
		<div class="mwb_wpr_slide_toggle">
			<table class="mwb_wpr_common_table">
				<tr>
					<?php
					if ( array_key_exists( 'registration', $point_log ) ) {
						?>

					<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider" ><?php esc_html_e( 'Signup Event', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
						<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $point_log['registration']['0']['date'] ) ); ?></td>
						<td><?php echo '+' . esc_attr( $point_log['registration']['0']['registration'] ); ?></td>
						<td><?php esc_html_e( 'Registration Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						<?php
					}
					?>
				</tr>
				<tr>
					<?php
					if ( array_key_exists( 'import_points', $point_log ) ) {
						?>

						<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $point_log['import_points']['0']['date'] ) ); ?></td>
						<td><?php echo '+' . esc_attr( $point_log['import_points']['0']['import_points'] ); ?></td>
						<td><?php esc_html_e( 'Registration Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						<?php
					}
					?>
				</tr>
			</table>
		</div>
		<?php
		if ( array_key_exists( 'Coupon_details', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
			<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Coupon Creation', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['Coupon_details'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['Coupon_details'] ); ?></td>
							<td><?php esc_html_e( 'Coupon Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'product_details', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
			<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points Earned via Particular Product', 'woocommerce-ultimate-points-and-rewards' ); ?> <a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['product_details'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['product_details'] ); ?></td>
							<td><?php esc_html_e( 'Product purchase Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'pro_conversion_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
			<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points earned on Order Total', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php foreach ( $point_log['pro_conversion_points'] as $key => $value ) { ?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['pro_conversion_points'] ); ?></td>
							<td><?php esc_html_e( 'Product Conversion Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'points_on_order', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
			<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points on Order', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php foreach ( $point_log['points_on_order'] as $key => $value ) { ?>
							<tr>
								<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
								<td><?php echo '+' . esc_attr( $value['points_on_order'] ); ?></td>
								<td><?php esc_attr_e( 'Points earned on Order Total', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
							</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'comment', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points earned via giving review', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['comment'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['comment'] ); ?></td>
							<td><?php esc_html_e( 'Comment Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'daily__login', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points earned via daily login', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['daily__login'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['daily__login'] ); ?></td>
							<td><?php esc_html_e( 'Daily Login Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'reward__order_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points earned via number of order place', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['reward__order_points'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['reward__order_points'] ); ?></td>
							<td><?php esc_html_e( 'Order Rewards Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'points_transfer_to_wallet', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points transfer to Wallet', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['points_transfer_to_wallet'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['points_transfer_to_wallet'] ); ?></td>
							<td><?php esc_html_e( 'Points to Wallet', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'subscription_renewal_rewards_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Subscription renewal points added', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['subscription_renewal_rewards_points'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['subscription_renewal_rewards_points'] ); ?></td>
							<td><?php esc_html_e( 'Subs Renewal Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'refund_subs_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Subscription renewal points refunded', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['refund_subs_points'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['refund_subs_points'] ); ?></td>
							<td><?php esc_html_e( 'Subs points deducted', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'purchase_through_only_refunded', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Refunded points by purchase through points only', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table"> 
					<?php
					foreach ( $point_log['purchase_through_only_refunded'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['purchase_through_only_refunded'] ); ?></td>
							<td><?php esc_html_e( 'Purchase only points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'reference_details', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
			<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points earned via referring someone', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['reference_details'] as $key => $value ) {
						$user_name = '';
						if ( isset( $value['refered_user'] ) && ! empty( $value['refered_user'] ) ) {
								$user      = get_user_by( 'ID', $value['refered_user'] );
								$user_name = $user->user_nicename;
						}
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['reference_details'] ); ?></td>
							<td>
								<?php
								esc_html_e( 'Reference Points by ', 'woocommerce-ultimate-points-and-rewards' );
								echo esc_attr( $user_name );
								?>
							</td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'ref_product_detail', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
			<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points earned by the purchase has been made by referrals', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['ref_product_detail'] as $key => $value ) {
						$user_name = '';
						if ( isset( $value['refered_user'] ) && ! empty( $value['refered_user'] ) ) {
							$user      = get_user_by( 'ID', $value['refered_user'] );
							$user_name = $user->user_nicename;
						}
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['ref_product_detail'] ); ?></td>
								<td>
								<?php
								esc_html_e( 'Product purchase by Referred User Points ', 'woocommerce-ultimate-points-and-rewards' );
								echo esc_attr( $user_name );
								?>
							</td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'membership', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points deducted becuase you have entered to the membership level and may use more benefit', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<a class ="mwb_wpr_open_toggle"  href="javascript:;"></a>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['membership'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['membership'] ); ?></td>
							<td><?php esc_html_e( 'Membership Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'admin_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Free rewards you earned because of loyalty', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['admin_points'] as $key => $value ) {
						$value['sign']   = isset( $value['sign'] ) ? $value['sign'] : '';
						$value['reason'] = isset( $value['reason'] ) ? $value['reason'] : __( 'Updated By Admin', 'woocommerce-ultimate-points-and-rewards' );
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo esc_attr( $value['sign'] . $value['admin_points'] ); ?></td>
							<td><?php echo esc_attr( $value['reason'] ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'pur_by_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Deduction of points as you has purchased your product', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['pur_by_points'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['pur_by_points'] ); ?></td>
							<td><?php esc_html_e( 'Purchased through Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
				</div>
			<?php
		}
		if ( array_key_exists( 'deduction_of_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Deduction of points for your return request', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['deduction_of_points'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['deduction_of_points'] ); ?></td>
							<td><?php esc_html_e( 'Deduct Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
				</div>
			<?php
		}
		if ( array_key_exists( 'return_pur_points', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points returned successfully on your return request', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['return_pur_points'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?> </td>
							<td><?php echo '+' . esc_attr( $value['return_pur_points'] ); ?></td>
							<td><?php esc_html_e( 'Return Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'deduction_currency_spent', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points deducted successfully on your return request', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['deduction_currency_spent'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '-' . esc_attr( $value['deduction_currency_spent'] ); ?></td>
							<td><?php esc_html_e( 'Deduct Per Currency Spent Point', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
				</div>
			<?php
		}
		if ( array_key_exists( 'Sender_point_details', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points deducted successfully as you have shared your points', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['Sender_point_details'] as $key => $value ) {
						$user_name = '';
						if ( isset( $value['give_to'] ) && ! empty( $value['give_to'] ) ) {
							$user      = get_user_by( 'ID', $value['give_to'] );
							$user_name = $user->user_nicename;
						}
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?> </td>
							<td><?php echo '-' . esc_attr( $value['Sender_point_details'] ); ?></td>
							<td>
							<?php
								esc_html_e( 'Shared to ', 'woocommerce-ultimate-points-and-rewards' );
								echo esc_attr( $user_name );
							?>
							</td>
						</tr>
						<?php
					}
					?>
				</table>
			</div>  
			<?php
		}
		if ( array_key_exists( 'Receiver_point_details', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points received successfully as someone has shared', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['Receiver_point_details'] as $key => $value ) {
						$user_name = '';
						if ( isset( $value['received_by'] ) && ! empty( $value['received_by'] ) ) {
							$user      = get_user_by( 'ID', $value['received_by'] );
							$user_name = $user->user_nicename;
						}
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['Receiver_point_details'] ); ?></td>
							<td>
							<?php
								esc_html_e( 'Received Points via ', 'woocommerce-ultimate-points-and-rewards' );
								echo esc_attr( $user_name );
							?>
							</td>
						</tr>
						<?php
					}
					?>
					</table>
				</div>
			<?php
		}
		if ( array_key_exists( 'cart_subtotal_point', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points Applied on Cart', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['cart_subtotal_point'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo esc_attr( $value['cart_subtotal_point'] ); ?></td>
							<td><?php esc_html_e( 'Points Used on Cart Subtotal', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
				</div>
			<?php
		}
		if ( array_key_exists( 'refund_applied_cart_point', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Applied points on cart/checkout refunded successfully', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
					<?php
					foreach ( $point_log['refund_applied_cart_point'] as $key => $value ) {
						?>
						<tr>
							<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
							<td><?php echo '+' . esc_attr( $value['refund_applied_cart_point'] ); ?></td>
							<td><?php esc_html_e( 'Applied Points Refund', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
						</tr>
						<?php
					}
					?>
					</table>
				</div>
			<?php
		}
		if ( array_key_exists( 'expired_details', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Oops!! Points are expired!', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
						<?php
						foreach ( $point_log['expired_details'] as $key => $value ) {
							?>
							<tr>
								<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
								<td><?php echo '-' . esc_attr( $value['expired_details'] ); ?></td>
								<td><?php esc_html_e( 'Get Expired', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
							</tr>
							<?php
						}
						?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'deduct_currency_pnt_cancel', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Order Points Deducted due to Cancelation of Order', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
						<?php
						foreach ( $point_log['deduct_currency_pnt_cancel'] as $key => $value ) {
							?>
							<tr>
								<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
								<td><?php echo '-' . esc_attr( $value['deduct_currency_pnt_cancel'] ); ?></td>
								<td><?php esc_html_e( 'Deducted Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
							</tr>
							<?php
						}
						?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'deduct_bcz_cancel', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Assigned Points Deducted due Cancelation of Order', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
						<?php
						foreach ( $point_log['deduct_bcz_cancel'] as $key => $value ) {
							?>
							<tr>
								<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
								<td><?php echo '-' . esc_attr( $value['deduct_bcz_cancel'] ); ?></td>
								<td><?php esc_html_e( 'Deducted Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
							</tr>
							<?php
						}
						?>
				</table>
			</div>
			<?php
		}
		if ( array_key_exists( 'pur_points_cancel', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points Returned due to Cancelation of Order', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
						<?php
						foreach ( $point_log['pur_points_cancel'] as $key => $value ) {
							?>
							<tr>
								<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
								<td><?php echo '+' . esc_attr( $value['pur_points_cancel'] ); ?></td>
								<td><?php esc_html_e( 'Returned Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
							</tr>
							<?php
						}
						?>
				</table>
			</div>
			<?php
		}
		// MWB CUSTOM CODE.
		if ( array_key_exists( 'pur_pro_pnt_only', $point_log ) ) {
			?>
			<div class="mwb_wpr_slide_toggle">
				<p class="mwb_wpr_view_log_notice mwb_wpr_common_slider"><?php esc_html_e( 'Points deducted for purchasing the product', 'woocommerce-ultimate-points-and-rewards' ); ?><a class ="mwb_wpr_open_toggle"  href="javascript:;"></a></p>
				<table class="mwb_wpr_common_table">
						<?php
						foreach ( $point_log['pur_pro_pnt_only'] as $key => $value ) {
							?>
							<tr>
								<td><?php echo esc_attr( mwb_wpr_set_the_wordpress_date_format( $value['date'] ) ); ?></td>
								<td><?php echo '-' . esc_attr( $value['pur_pro_pnt_only'] ); ?></td>
								<td><?php esc_html_e( 'Product Purchased by Points', 'woocommerce-ultimate-points-and-rewards' ); ?></td>
							</tr>
							<?php
						}
						?>
				</table>
			</div>
			<?php
		}
		// END OF MWB CUSTOM CODE.
		?>
		<div class="mwb_wpr_slide_toggle">
			<table class="mwb_wpr_total_points">
				<tr>
					<td><h4><b><?php esc_html_e( 'Total Points', 'woocommerce-ultimate-points-and-rewards' ); ?></b></h4></td>
					<td><h4><b><?php echo esc_attr( $total_points ); ?></b></h4></td>
					<td></td>
				</tr>
			</table>
		</div>
		<?php
	} else {
		echo '<h3>' . esc_html_e( 'No Points Generated Yet.', 'woocommerce-ultimate-points-and-rewards' ) . '<h3>';
	}
}
?>
