<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.4
 */

defined( 'ABSPATH' ) || exit;

if ( ! wc_coupons_enabled() ) { // @codingStandardsIgnoreLine.
	return;
}

?>
<div class="woocommerce-form-coupon-toggle">
	<?php wc_print_notice( apply_filters( 'woocommerce_checkout_coupon_message', __( 'Have a coupon?', 'woocommerce-ultimate-points-and-rewards' ) . ' <a href="#" class="showcoupon">' . __( 'Click here to enter your code', 'woocommerce-ultimate-points-and-rewards' ) . '</a>' ), 'notice' ); ?>
</div>
<!-- /*MWB CUSTOM CODE*/ -->
<div class="woocommerce-error" id="mwb_wpr_cart_points_notice" style="display: none;"></div>
<div class="woocommerce-message" id="mwb_wpr_cart_points_success" style="display: none;"></div>
<!-- /*END OF MWB CUSTOM CODE*/ -->
<form class="checkout_coupon woocommerce-form-coupon" method="post" style="display:none">

	<p><?php esc_html_e( 'If you have a coupon code, please apply it below.', 'woocommerce-ultimate-points-and-rewards' ); ?></p>

	<p class="form-row form-row-first">
		<input type="text" name="coupon_code" class="input-text" placeholder="<?php esc_attr_e( 'Coupon code', 'woocommerce-ultimate-points-and-rewards' ); ?>" id="coupon_code" value="" />
	</p>

	<p class="form-row form-row-last">
		<button type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( 'Apply coupon', 'woocommerce-ultimate-points-and-rewards' ); ?>"><?php esc_html_e( 'Apply coupon', 'woocommerce-ultimate-points-and-rewards' ); ?></button>
	</p>

	<div class="clear"></div>
</form>

<?php

$user_id = get_current_user_ID();
if ( isset( $user_id ) && ! empty( $user_id ) ) {

	// check if shortcode exists then return.
	$wps_wpr_checkout_page_section = get_option( 'wps_wpr_checkout_page_section', '' );
	if ( 1 == $wps_wpr_checkout_page_section ) {
		$content = get_the_content();
		if ( ! empty( $content ) ) {
			if ( true == strpos( $content, '[Wps_Checkout_Page_Section' ) ) {
				return;
			}
		}
	}

	$get_points               = (int) get_user_meta( $user_id, 'mwb_wpr_points', true );
	$mwb_wpr_cart_points_rate = get_option( 'mwb_wpr_cart_points_rate', 1 );
	$mwb_wpr_cart_price_rate  = get_option( 'mwb_wpr_cart_price_rate', 1 );
	$conversion               = ( $get_points * $mwb_wpr_cart_price_rate / $mwb_wpr_cart_points_rate );
	if ( 'on' == get_option( 'mwb_apply_points_on_checkout_page_with_arg' ) ) {
		?>
		<div class="custom_point_checkout mwb_apply_checkout">
		<?php
	} else {
		?>
		<div class="custom_point_checkout woocommerce-info">
		<?php
	}
	?>
		<input type="number" name="mwb_cart_points" class="input-text" id="mwb_cart_points" value="" placeholder="<?php esc_attr_e( 'Points', 'woocommerce-ultimate-points-and-rewards' ); ?>"/>
		<input type="button" name="mwb_cart_points_apply" data-point="<?php echo esc_html( $get_points ); ?>" data-id="<?php echo esc_attr( $user_id ); ?>"" class="button mwb_cart_points_apply" id="mwb_cart_points_apply" value="<?php esc_html_e( 'Apply Points', 'woocommerce-ultimate-points-and-rewards' ); ?>"/>
		<p><?php echo esc_html( $get_points ) . esc_html__( ' Points', 'woocommerce-ultimate-points-and-rewards' ) . ' = ' . wp_kses_post( wc_price( apply_filters( 'mwb_par_show_conversion_price', $conversion ) ) ); ?></p>
	</div>
	<?php
}
?>
